<?php
/**
 * CedCommerce
 *
 * NOTICE OF LICENSE
 *
 * This source file is subject to the End User License Agreement (EULA)
 * that is bundled with this package in the file LICENSE.txt.
 * It is also available through the world-wide-web at this URL:
 * http://cedcommerce.com/license-agreement.txt
 *
 * @category    Ced
 * @package     Ced_Shopifyhome
 * @author      CedCommerce Core Team <connect@cedcommerce.com>
 * @copyright   Copyright CEDCOMMERCE (http://cedcommerce.com/)
 * @license     http://cedcommerce.com/license-agreement.txt
 */

namespace App\Bigcommercehome\Components\Authenticate;

class User extends \App\Core\Components\Base
{
    public function setupHomeUser($data){
        $target = $data['data']['data']['marketplace'];
        $appCode = isset($data['rawResponse']['app_code']) ? $data['rawResponse']['app_code'] : 'default';
        $remoteShopId = $data['data']['data']['shop_id'];

        $validateUser = $this->di->getObjectManager()->get('App\Core\Models\User\Details')->getUserbyShopId((string)$data['data']['data']['shop_id'], ['user_id' => 1, 'shops' => 1 ]);
        $shop = false;
        if(isset($validateUser['shops'])){
            foreach($validateUser['shops'] as $user){
                if(isset($user['marketplace']) && (($user['marketplace'] == 'bigcommerce') || ($user['marketplace'] == 'bigcommerce_ig'))){
                    $shop = true;
                    break;
                }
            }
        }
        
        if($validateUser && $shop){
            $user = \App\Core\Models\User::findFirst([['_id' => $validateUser['user_id']]]);
            $this->di->setUser($user);

            // $shopResponse = $this->di->getObjectManager()->get('\App\Connector\Components\ApiClient')->init($target, true, $appCode)->call('shop', [], ['shop_id' => $remoteShopId]);
            // if(!$shopResponse['success'] || is_null($shopResponse) || empty($shopResponse)){
            //     return [
            //         'success' => false,
            //         'message' => isset($shopResponse['errors']) ? $shopResponse['errors'] : ' 1 Error fetching data from Bigcommerce Store Details, Please try again later or contact our next available support member.'
            //     ];
            // }
            // $channelId = $this->manageChannel($shopResponse['data'], $target, $appCode, $remoteShopId);
            // $this->di->getLog()->logContent('channel Level 1 ' . $channelId, 'info','channel.log');
            // $updateChannelId = $this->di->getObjectManager()->get('App\Core\Models\User\Details')->updateChannelId($channelId, $remoteShopId);

            return [
                'success' => true,
                'redirect_to_dashboard' => 1,
                'shop' => $validateUser['shops'][0]['domain']
            ];
        } else {
            // $target = $data['data']['data']['marketplace'];
            // $appCode = isset($data['rawResponse']['app_code']) ? $data['rawResponse']['app_code'] : 'default';
            // $remoteShopId = $data['data']['data']['shop_id'];
            // $this->di->getLog()->logContent('Target '.$target.'remoteShopId:'.$remoteShopId.', appCode ' . $appCode, 'info', 'User.log');
            
            $shopResponse = $this->di->getObjectManager()->get('\App\Connector\Components\ApiClient')->init($target, true, $appCode)->call('shop', [], ['shop_id' => $remoteShopId]);
            // $this->di->getLog()->logContent('shopResponse:'.json_encode($shopResponse), 'info', 'User.log');
            if(!$shopResponse['success'] || is_null($shopResponse) || empty($shopResponse)){
                return [
                    'success' => false,
                    'message' => isset($shopResponse['errors']) ? $shopResponse['errors'] : ' 1 Error fetching data from Bigcommerce Store Details, Please try again later or contact our next available support member.'
                ];
            }

            $channelId = $this->manageChannel($shopResponse['data'], $target, $appCode, $remoteShopId);
            $this->di->getLog()->logContent('channel Level 1 ' . $channelId, 'info','channel.log');

            if(!$validateUser || is_null($validateUser)){
                $user = \App\Core\Models\User::findFirst([['username' => $shopResponse['data']['domain']]]);
                if(empty($user)){
                    $shopData['app_codes'] = [$appCode];
                    $shopData['username'] = $shopResponse['data']['domain'];
                    $shopData['channel_id'] = $channelId;
                    $shopData['email'] = $shopResponse['data']['admin_email'];
                    $shopData['password'] = $this->di->getConfig()->security->default_shopify_sign;
                    $userModel = $this->di->getObjectManager()->create('\App\Core\Models\User');
                    $createUser = $userModel->createUser($shopData, 'customer');
                   
                    $createUser['mail'] = [
                        'name' => $shopResponse['data']['name'],
                        'email' => $shopResponse['data']['admin_email']
                    ];
                    $userinfo=$this->getId($shopResponse['data']['domain']);
                    $userModel->id=(string)$userinfo['_id'];                    
                    $this->di->setUser($userModel);
                } else {
                   
                    $user = \App\Core\Models\User::findFirst([['_id' => $user[0]['id']]]);
                    $user->id = (string)$user['_id'];
                    $this->di->setUser($user);
                    $createUser = [
                        'successsetupHomeUser' => true
                    ];
                }
            } else {                
                $user = \App\Core\Models\User::findFirst([['_id' => $validateUser['user_id']]]);
                $user->id = (string)$user['_id'];
                $this->di->setUser($user);
                $createUser = [
                    'success' => true
                ];
            }
            if(isset($createUser['success'])) {                
                $target=$data['data']['data']['marketplace'];
                $shopResponse['data']['remote_shop_id'] = (string)$data['data']['data']['shop_id'];
                $shopResponse['data']['marketplace'] = $target;
                $shopResponse['data']['app_code'] = $appCode;
                $shopResponse['channel_id'] = $channelId;
                
                $updateUserwithShop = $this->di->getObjectManager()->get('\App\Bigcommercehome\Components\Shop\Shop')->addShopToUser($shopResponse);
                $shopResponse['warehouses'] = true;
                if($updateUserwithShop['success'] && $target!="cedcommerce"){
                    if(isset($shopResponse['warehouses'])){
                        $addShopLocation = $this->di->getObjectManager()->get('\App\Bigcommercehome\Components\Shop\Shop')->addWarehouseToUser($updateUserwithShop['home_internal_shop'], $data, $target, $shopResponse['data']);
                        if($addShopLocation['success']){
                            $addShopLocation['shop'] = $shopResponse['data']['domain'];
                            $addShopLocation['mail'] = [
                                'name' => $shopResponse['data']['name'],
                                'email' => $shopResponse['data']['admin_email']
                            ];
                            return $addShopLocation;
                        } else return $addShopLocation;
                    }else {
                        return $updateUserwithShop;
                    }

                } else {
                    return $updateUserwithShop;
                }

            } else {
                $addShopLocation['shop'] = $shopResponse['data']['domain'];
                $addShopLocation['success'] = false;
                $addShopLocation['message'] ="We did't expected you to reach here. Kindly contact support or reinstall the app.";
                $addShopLocation['redirect_to_dashboard'] = true;
                return $addShopLocation;
            }
        }

    }
    public function getId($username)
    {
        $mongo = $this->di->getObjectManager()->get('\App\Core\Models\BaseMongo');
        $collection = $mongo->getCollectionForTable("user_details");
        $response = $collection->findOne(array('username'=>$username));
        return $response;
    }

    public function manageChannel($shopResponse, $target, $appCode, $remoteShopId){
        $this->di->getLog()->logContent('channel Starts: '.$remoteShopId, 'info','channel.log');
        $channelId = 1;
        $channelCode = 'mercado_libre'; //mercadolibre
        $channelCollection = $this->formatAllChannels($target, $appCode, $remoteShopId);
        $this->di->getLog()->logContent('channel Level 2 ' . json_encode($channelCollection), 'info','channel.log');
        
        if(!empty($channelCollection)){
            if(isset($channelCollection[$channelCode])){
                if($channelCollection[$channelCode]['status']=="disconnected"){
                    $channelId = $channelCollection[$channelCode]['id'];
                    $channelId = $this->updateChannel($target, $appCode, $remoteShopId, $channelCode, $channelId);
                }else if($channelCollection[$channelCode]['status']=="connected"){
                    $channelId = $channelCollection[$channelCode]['id'];
                }
                $this->di->getLog()->logContent('channel Level 3 ' . $channelId, 'info','channel.log');
                return $channelId;
            }else{
                $channelId = $this->createChannel($target, $appCode, $remoteShopId, $channelCode);
                $this->di->getLog()->logContent('channel Level 4 ' . $channelId, 'info','channel.log');
                return $channelId;
            }
        }
        $this->di->getLog()->logContent('channel Level 5 ' . $channelId, 'info','channel.log');
        return $channelId;
    }

    public function formatAllChannels($target, $appCode, $remoteShopId){
        $channelCollection = [];
        $fetchAllChannel = $this->di->getObjectManager()->get('\App\Connector\Components\ApiClient')->init($target, true, $appCode)->call('channel', [], ['shop_id' => $remoteShopId]);
        $this->di->getLog()->logContent('channel Level 1.1 ' . json_encode($fetchAllChannel), 'info','channel.log');
        if(isset($fetchAllChannel['success']) && $fetchAllChannel['success']){
            $collectChannels = $fetchAllChannel['data'];
            $collectChannels = json_decode($collectChannels, true);
            $collectChannels = $collectChannels['data'];
            $this->di->getLog()->logContent('channel Level 1.2 ' . json_encode($collectChannels), 'info','channel.log');
            foreach($collectChannels as $key => $channel){
                if(($channel['platform'] == "custom") && isset($channel['config_meta']['app']['sections'][0]['query_path'])){
                    $channelCollection[$channel['config_meta']['app']['sections'][0]['query_path']] = $channel;
                }else {
                    $channelCollection[$channel['platform']] = $channel;
                }
            }
        }
        $this->di->getLog()->logContent('channel Level 1.3 ' . json_encode($channelCollection), 'info','channel.log');
        return $channelCollection;
    }

    public function createChannel($target, $appCode, $remoteShopId, $channelCode){
        $channelId = 1;
        $channelData = $this->di->getConfig()->channels->$channelCode->toArray();
        $channelCodeSection = $channelCode.'_section';
        $channelSections = $this->di->getConfig()->channels->$channelCodeSection->toArray();
        $this->di->getLog()->logContent('remoteShopId: '.$remoteShopId.', channel Level 5.5 ' . json_encode($channelSections), 'info','channel.log');
        $channelData['config_meta']['app']['sections'] = [$channelSections];
        $this->di->getLog()->logContent('remoteShopId: '.$remoteShopId.', channel Level 6 ' . json_encode($channelData), 'info','channel.log');
        $createChannel = $this->di->getObjectManager()->get('\App\Connector\Components\ApiClient')->init($target, true, $appCode)->call('channel/create', [], ['shop_id' => $remoteShopId, 'data' => $channelData], 'POST');
        $this->di->getLog()->logContent('remoteShopId: '.$remoteShopId.', channel Level 7 ' . json_encode($createChannel), 'info','channel.log');
        if(isset($createChannel['success']) && $createChannel['success']){
            $collectChannel = $createChannel['data'];
            $collectChannel = json_decode($collectChannel, true);
            $collectChannel = $collectChannel['data'];
            $channelId = $collectChannel['id'];
            return $channelId;
        }
        $this->di->getLog()->logContent('channel Level 8 ' . $channelId, 'info','channel.log');
        return $channelId;
    }

    public function updateChannel($target, $appCode, $remoteShopId, $channelCode, $channelId){
        $channelData = $this->di->getConfig()->channels->$channelCode->toArray();
        unset($channelData['platform']);
        unset($channelData['type']);

        $channelCodeSection = $channelCode.'_section';
        $channelSections = $this->di->getConfig()->channels->$channelCodeSection->toArray();
        $channelData['config_meta']['app']['sections'] = [$channelSections];
        $this->di->getLog()->logContent('remoteShopId: '.$remoteShopId.', channel Level 9 ' . json_encode($channelData), 'info','channel.log');
        $createChannel = $this->di->getObjectManager()->get('\App\Connector\Components\ApiClient')->init($target, true, $appCode)->call('channel/update', [], ['shop_id' => $remoteShopId, 'channel_id' => $channelId, 'data' => $channelData], 'PUT');
        $this->di->getLog()->logContent('remoteShopId: '.$remoteShopId.', channel Level 10 ' .json_encode($createChannel), 'info','channel.log');
        if(isset($createChannel['success']) && $createChannel['success']){
            $collectChannel = $createChannel['data'];
            $collectChannel = json_decode($collectChannel, true);
            $collectChannel = $collectChannel['data'];
            return $channelId;
        }
        $this->di->getLog()->logContent('remoteShopId: '.$remoteShopId.', channel Level 11 ' . $channelId, 'info','channel.log');
        return 1;
    }
}