<?php
namespace App\Bigcommercehome\Components;

use Phalcon\Http\Request;

class Helper extends \App\Core\Components\Base
{
    public function eligibleForBulkApi($url, $data)
    {   
        $bulkApiConfig = $this->di->getConfig()->api->product->toArray();
        // print_r($bulkApiConfig);die;
        $plans_array=["shopify_plus","unlimited"];
        if($data['domain']=="20hazar.myshopify.com" || $data['domain']=="galu-cell-phones.myshopify.com"){
            return "" ;
        }
        switch ($bulkApiConfig['bulk']){

            case 'all' :
                return $bulkApiConfig['vistar'] ? 'Vistar\\' : 'Bulk\\';
                break;

            case 'partial' :
                if(in_array( $data['plan_name'], $plans_array) || in_array($url, $bulkApiConfig['shopify_domain'])) return $bulkApiConfig['vistar'] ? 'Vistar\\' : 'Bulk\\';

                else return "";
                break;

            default :
                return "";
                break;
        }
    }

    public function getVendorName($userId){
        $mongo = $this->di->getObjectManager()->create('\App\Core\Models\BaseMongo');
        $phpMongoCollection = $mongo->setSource('user_details')->getPhpCollection();
        $Vendor_details = $phpMongoCollection->find(['user_id'=>$userId])->toArray();
        $Vendor_details =\GuzzleHttp\json_decode(\GuzzleHttp\json_encode($Vendor_details),true);
        $name=$Vendor_details[0]['shops'][0]['name'];
        return $name;
    }

    public function array_merge_recursive_simple() {

        if (func_num_args() < 2) {
            trigger_error(__FUNCTION__ .' needs two or more array arguments', E_USER_WARNING);
            return;
        }
        $arrays = func_get_args();
        $merged = array();
        while ($arrays) {
            $array = array_shift($arrays);
            if (!is_array($array)) {
                trigger_error(__FUNCTION__ .' encountered a non array argument', E_USER_WARNING);
                return;
            }
            if (!$array)
                continue;
            foreach ($array as $key => $value)
                if (is_string($key))
                    if (is_array($value) && array_key_exists($key, $merged) && is_array($merged[$key]))
                        $merged[$key] = call_user_func(__FUNCTION__, $merged[$key], $value);
                    else
                        $merged[$key] = $value;
                else
                    $merged[] = $value;
        }
        return $merged;
    }

    public function filter_by_value ($array, $index, $value, $matchingOutput){
        $newarray = $drop = [];
        if(is_array($array) && count($array)>0)
        {
            foreach(array_keys($array) as $key){
                $temp[$key] = $array[$key][$index];

                if (strpos($temp[$key], $value) !== false ){
                    if ($this->IsNullOrEmptyString($array[$key][$matchingOutput])) {
                        $drop[] = $array[$key][$index].'_type';
                        continue;
                    }
                    $newarray[$array[$key][$index]] = $array[$key][$matchingOutput];
                }
            }
            $newarray = array_diff_key($newarray, array_flip($drop));
        }
        return $newarray;
    }

    function IsNullOrEmptyString($str){
        return (!isset($str) || trim($str) === '');
    }

    public function getConfigDetails($userId = false,$marketplace)
    {
        /*if(!$userId) {
            $userId = $this->di->getUser()->id;
        }*/
        $coreConfig = $this->di->getObjectManager()->get('\App\Core\Models\User\Config');
        if($marketplace=='shopify_vendor')
        {
            $config=[
                'Transaction Setting' =>
                    [
                        [
                        'code' => 'general/transactionSetting/Check_Money_Order_status',
                        'title' => 'Active',
                        //  'help' => 'Aprove vendor registration automatically',
                        'value' => isset($coreConfig->getConfigByPath($userId, 'general/transactionSetting/Check_Money_Order_status', $marketplace)["path"]) ?
                            $coreConfig->getConfigByPath($userId, 'general/transactionSetting/Check_Money_Order_status', $marketplace)["value"] : '' ,
                        'required' => false,
                        'type' => 'select',
                            'options' => [
                                'yes' => 'Yes',
                                'no' => 'No',
                            ]
                        ],
                        [
                            'code' => 'general/transactionSetting/cheque_payee_name',
                            'title' => 'Cheque Payee Name',
                            //  'help' => 'Aprove vendor registration automatically',
                            'value' => isset($coreConfig->getConfigByPath($userId, 'general/transactionSetting/cheque_payee_name', $marketplace)["path"]) ?
                                $coreConfig->getConfigByPath($userId, 'general/transactionSetting/cheque_payee_name', $marketplace)["value"] : '' ,
                            'required' => false,
                            'type' => 'text',
                        ],
                    ],
                'Shipping Setting' =>
                    [
                        [
                            'code' => 'general/transactionSetting/site_title',
                            'title' => 'Test',
                            //  'help' => 'Aprove vendor registration automatically',
                            'value' => isset($coreConfig->getConfigByPath($userId, 'general/design/site_title', $marketplace)["path"]) ?
                                $coreConfig->getConfigByPath($userId, 'general/design/site_title', $marketplace)["value"] : '' ,
                            'required' => false,
                            'type' => 'textarea'
                        ],
                    ],
                'Shipping Methods' =>
                    [
                        [
                            'code' => 'general/transactionSetting/site_title',
                            'title' => 'Test',
                            //  'help' => 'Aprove vendor registration automatically',
                            'value' => isset($coreConfig->getConfigByPath($userId, 'general/design/site_title', $marketplace)["path"]) ?
                                $coreConfig->getConfigByPath($userId, 'general/design/site_title', $marketplace)["value"] : '' ,
                            'required' => false,
                            'type' => 'textarea'
                        ],
                    ],
        ];

        }

            if($marketplace=='shopify')
        {
            $config=[
                /*  'Vendor Setting' =>
                   [[
                   'code' => 'general/vendorSetting/vendor',
                   'title' => 'Vendor auto approve',
                   //'help' => 'Aprove vendor registration automatically',
                   'value' => isset($coreConfig->getConfigByPath($userId, 'general/vendorSetting/vendor', $marketplace)["path"]) ?
                       $coreConfig->getConfigByPath($userId, 'general/vendorSetting/vendor', $marketplace)["value"] : 'no' ,
                   'required' => false,
                   'type' => 'select',
                   'options' => [
                       'yes' => 'Yes',
                       'no' => 'No',
                   ]
               ],
               [
                   'code' => 'general/vendorSetting/vendor_shop',
                   'title' => 'Vendor auto approve',
                   //'help' => 'Aprove vendor registration automatically',
                   'value' => isset($coreConfig->getConfigByPath($userId, 'general/vendorSetting/vendor_shop', $marketplace)["path"]) ?
                       $coreConfig->getConfigByPath($userId, 'general/vendorSetting/vendor_shop', $marketplace)["value"] : 'no' ,
                   'required' => false,
                   'type' => 'select',
                   'options' => [
                       'yes' => 'Yes',
                       'no' => 'No',
                   ]
               ],
               [
                   'code' => 'general/vendorSetting/vendor_listing',
                   'title' => 'Vendor listing',
                   //'help' => 'Aprove vendor registration automatically',
                   'value' => isset($coreConfig->getConfigByPath($userId, 'general/vendorSetting/vendor_listing', $marketplace)["path"]) ?
                       $coreConfig->getConfigByPath($userId, 'general/vendorSetting/vendor_listing', $marketplace)["value"] : 'no' ,
                   'required' => false,
                   'type' => 'select',
                   'options' => [
                       'yes' => 'Yes',
                       'no' => 'No',
                   ]
               ],
               [
                   'code' => 'vendor_url',
                   'title' => 'Vendor url',
                   //  'help' => 'Aprove vendor registration automatically',
                   'value' => isset($coreConfig->getConfigByPath($userId, 'general/vendorSetting/vendor_url', $marketplace)["path"]) ?
                       $coreConfig->getConfigByPath($userId, 'general/vendorSetting/vendor_url', $marketplace)["value"] : 'no' ,
                   'required' => false,
                   'type' => 'select',
                   'options' => [
                       'yes' => 'Yes',
                       'no' => 'No',
                   ]
               ],],*/
                'Design' =>
                    [[
                        'code' => 'general/design/site_title',
                        'title' => 'Site title',
                        //  'help' => 'Aprove vendor registration automatically',
                        'value' => isset($coreConfig->getConfigByPath($userId, 'general/design/site_title', $marketplace)["path"]) ?
                            $coreConfig->getConfigByPath($userId, 'general/design/site_title', $marketplace)["value"] : '' ,
                        'required' => false,
                        'type' => 'textarea'
                    ],
                        [
                            'code' => 'general/design/site_logo',
                            'title' => 'Site logo',
                            //  'help' => 'Aprove vendor registration automatically',
                            'value' => isset($coreConfig->getConfigByPath($userId, 'general/design/site_logo', $marketplace)["path"]) ?
                                $coreConfig->getConfigByPath($userId, 'general/design/site_logo', $marketplace)["value"] : '' ,
                            'required' => false,
                            'type' => 'image'
                        ],
                        [
                            'code' => 'general/design/site_banner',
                            'title' => 'Site banner',
                            //  'help' => 'Aprove vendor registration automatically',
                            'value' => isset($coreConfig->getConfigByPath($userId, 'general/design/site_banner', $marketplace)["path"]) ?
                                $coreConfig->getConfigByPath($userId, 'general/design/site_banner', $marketplace)["value"] : '' ,
                            'required' => false,
                            'type' => 'image'
                        ],
                        [
                            'code' => 'general/design/site_footer_copyright',
                            'title' => 'Site footer copyright',
                            //  'help' => 'Aprove vendor registration automatically',
                            'value' => isset($coreConfig->getConfigByPath($userId, 'general/design/site_footer_copyright', $marketplace)["path"]) ?
                                $coreConfig->getConfigByPath($userId, 'general/design/site_footer_copyright', $marketplace)["value"] : '' ,
                            'required' => false,
                            'type' => 'textarea',
                        ],
                        [
                            'code' => 'general/design/meta_title',
                            'title' => 'Meta title',
                            //  'help' => 'Aprove vendor registration automatically',
                            'value' => isset($coreConfig->getConfigByPath($userId, 'general/design/meta_title', $marketplace)["path"]) ?
                                $coreConfig->getConfigByPath($userId, 'general/design/meta_title', $marketplace)["value"] : '' ,
                            'required' => false,
                            'type' => 'text'
                        ],
                        [
                            'code' => 'general/design/meta_discription',
                            'title' => 'Meta discription',
                            //  'help' => 'Aprove vendor registration automatically',
                            'value' => isset($coreConfig->getConfigByPath($userId, 'general/design/meta_discription', $marketplace)["path"]) ?
                                $coreConfig->getConfigByPath($userId, 'general/design/meta_discription', $marketplace)["value"] : '' ,
                            'required' => false,
                            'type' => 'textarea',
                        ],
                        [
                            'code' => 'general/design/meta_keyword',
                            'title' => 'Meta Keyword',
                            //  'help' => 'Aprove vendor registration automatically',
                            'value' => isset($coreConfig->getConfigByPath($userId, 'general/design/meta_keyword', $marketplace)["path"]) ?
                                $coreConfig->getConfigByPath($userId, 'general/design/meta_keyword', $marketplace)["value"] : '' ,
                            'required' => false,
                            'type' => 'textarea',
                        ],
                        [
                            'code' => 'general/design/robot_txt',
                            'title' => 'Robot text',
                            //  'help' => 'Aprove vendor registration automatically',
                            'value' => isset($coreConfig->getConfigByPath($userId, 'general/design/robot_txt', $marketplace)["path"]) ?
                                $coreConfig->getConfigByPath($userId, 'general/design/robot_txt', $marketplace)["value"] : '' ,
                            'required' => false,
                            'type' => 'textarea',
                        ],
                        [
                            'code' => 'general/design/logo_img_alt',
                            'title' => 'Logo img alt',
                            //  'help' => 'Aprove vendor registration automatically',
                            'value' => isset($coreConfig->getConfigByPath($userId, 'general/design/logo_img_alt', $marketplace)["path"]) ?
                                $coreConfig->getConfigByPath($userId, 'general/design/logo_img_alt', $marketplace)["value"] : '' ,
                            'required' => false,
                            'type' => 'text',
                        ],
                        [
                            'code' => 'general/design/welcome_text',
                            'title' => 'Welcome Text',
                            //  'help' => 'Aprove vendor registration automatically',
                            'value' => isset($coreConfig->getConfigByPath($userId, 'general/design/welcome_text', $marketplace)["path"]) ?
                                $coreConfig->getConfigByPath($userId, 'general/design/welcome_text', $marketplace)["value"] : '' ,
                            'required' => false,
                            'type' => 'textarea',
                        ]],

                'Transactional Email Setting'=>[[
                    'code' => 'general/transactionalEmailSetting/logo_image',
                    'title' => 'logo_image',
                    //  'help' => 'Aprove vendor registration automatically',
                    'value' => isset($coreConfig->getConfigByPath($userId, 'general/transactionalEmailSetting/logo_image', $marketplace)["path"]) ?
                        $coreConfig->getConfigByPath($userId, 'general/transactionalEmailSetting/logo_image', $marketplace)["value"] : '' ,
                    'required' => false,
                    'type' => 'image',
                ],
                    [
                        'code' => 'general/transactionalEmailSetting/logo_image_alt',
                        'title' => 'logo Image Alt',
                        //  'help' => 'Aprove vendor registration automatically',
                        'value' => isset($coreConfig->getConfigByPath($userId, 'general/transactionalEmailSetting/logo_image_alt', $marketplace)["path"]) ?
                            $coreConfig->getConfigByPath($userId, 'general/transactionalEmailSetting/logo_image_alt', $marketplace)["value"] : '' ,
                        'required' => false,
                        'type' => 'text',
                    ],],

                'Vendor Settings'=>[[
                    'code' => 'general/vendorSettings/vendor_def_logo',
                    'title' => 'Vendor defult logo',
                    //  'help' => 'Aprove vendor registration automatically',
                    'value' => isset($coreConfig->getConfigByPath($userId, 'general/vendorSettings/vendor_def_logo', $marketplace)["path"]) ?
                        $coreConfig->getConfigByPath($userId, 'general/vendorSettings/vendor_def_logo', $marketplace)["value"] : '' ,
                    'required' => false,
                    'type' => 'image',
                ],
                    [
                        'code' => 'general/vendorSettings/vendor_def_banner',
                        'title' => 'Vendor default banner',
                        //  'help' => 'Aprove vendor registration automatically',
                        'value' => isset($coreConfig->getConfigByPath($userId, 'general/vendorSettings/vendor_def_banner', $marketplace)["path"]) ?
                            $coreConfig->getConfigByPath($userId, 'general/vendorSettings/vendor_def_banner', $marketplace)["value"] : '' ,
                        'required' => false,
                        'type' => 'image',
                    ],
                    [
                        'code' => 'general/vendorSettings/vendor_def_shop',
                        'title' => 'Vendor default shop',
                        //  'help' => 'Aprove vendor registration automatically',
                        'value' => isset($coreConfig->getConfigByPath($userId, 'general/vendorSettings/vendor_def_shop', $marketplace)["path"]) ?
                            $coreConfig->getConfigByPath($userId, 'general/vendorSettings/vendor_def_shop', $marketplace)["value"] : '' ,
                        'required' => false,
                        'type' => 'select',
                        'options' => [
                            'yes' => 'Yes',
                            'no' => 'No',
                        ]
                    ],
                    [
                        'code' => 'general/vendorSettings/vendor_memberid_format',
                        'title' => 'Vendor memberid format',
                        //  'help' => 'Aprove vendor registration automatically',
                        'value' => isset($coreConfig->getConfigByPath($userId, 'general/vendorSettings/vendor_memberid_format', $marketplace)["path"]) ?
                            $coreConfig->getConfigByPath($userId, 'general/vendorSettings/vendor_memberid_format', $marketplace)["value"] : '' ,
                        'required' => false,
                        'type' => 'text',
                    ],
                    [
                        'code' => 'general/vendorSettings/vendor_shop_def_text',
                        'title' => 'Vendor shop default text',
                        //  'help' => 'Aprove vendor registration automatically',
                        'value' => isset($coreConfig->getConfigByPath($userId, 'general/vendorSettings/vendor_shop_def_text', $marketplace)["path"]) ?
                            $coreConfig->getConfigByPath($userId, 'general/vendorSettings/vendor_shop_def_text', $marketplace)["value"] : '' ,
                        'required' => false,
                        'type' => 'textarea',
                    ],
                    [
                        'code' => 'general/vendorSettings/vendor_list_def_banner',
                        'title' => 'Vendor listing default banner',
                        //  'help' => 'Aprove vendor registration automatically',
                        'value' => isset($coreConfig->getConfigByPath($userId, 'general/vendorSettings/vendor_list_def_banner', $marketplace)["path"]) ?
                            $coreConfig->getConfigByPath($userId, 'general/vendorSettings/vendor_list_def_banner', $marketplace)["value"] : '' ,
                        'required' => false,
                        'type' => 'image',
                    ],
                    [
                        'code' => 'general/vendorSettings/vendor_list_def_text',
                        'title' => 'Vendor listing default text',
                        //  'help' => 'Aprove vendor registration automatically',
                        'value' => isset($coreConfig->getConfigByPath($userId, 'general/vendorSettings/vendor_list_def_text', $marketplace)["path"]) ?
                            $coreConfig->getConfigByPath($userId, 'general/vendorSettings/vendor_list_def_text', $marketplace)["value"] : '' ,
                        'required' => false,
                        'type' => 'textarea',
                    ],
                    [
                        'code' => 'general/vendorSettings/vendor_shop_link_title',
                        'title' => 'Vendor shop link title',
                        //  'help' => 'Aprove vendor registration automatically',
                        'value' => isset($coreConfig->getConfigByPath($userId, 'general/vendorSettings/vendor_shop_link_title', $marketplace)["path"]) ?
                            $coreConfig->getConfigByPath($userId, 'general/vendorSettings/vendor_shop_link_title', $marketplace)["value"] : '' ,
                        'required' => false,
                        'type' => 'text',
                    ],
                    [
                        'code' => 'general/vendorSettings/vendor_list_link_title',
                        'title' => 'Vendor list link title',
                        //  'help' => 'Aprove vendor registration automatically',
                        'value' => isset($coreConfig->getConfigByPath($userId, 'general/vendorSettings/vendor_list_link_title', $marketplace)["path"]) ?
                            $coreConfig->getConfigByPath($userId, 'general/vendorSettings/vendor_list_link_title', $marketplace)["value"] : '' ,
                        'required' => false,
                        'type' => 'text',
                    ],
                    [
                        'code' => 'general/vendorSettings/vendor_shop_prod_img_size',
                        'title' => 'Vendor shop product image size (in KB)',
                        //  'help' => 'Aprove vendor registration automatically',
                        'value' => isset($coreConfig->getConfigByPath($userId, 'general/vendorSettings/vendor_shop_prod_img_size', $marketplace)["path"]) ?
                            $coreConfig->getConfigByPath($userId, 'general/vendorSettings/vendor_shop_prod_img_size', $marketplace)["value"] : '' ,
                        'required' => false,
                        'type' => 'text',
                    ],
                    [
                        'code' => 'general/vendorSettings/vendor_list_vend_logo_size',
                        'title' => 'Vendor list vendor logo size (in KB)',
                        //  'help' => 'Aprove vendor registration automatically',
                        'value' => isset($coreConfig->getConfigByPath($userId, 'general/vendorSettings/vendor_list_vend_logo_size', $marketplace)["path"]) ?
                            $coreConfig->getConfigByPath($userId, 'general/vendorSettings/vendor_list_vend_logo_size', $marketplace)["value"] : '' ,
                        'required' => false,
                        'type' => 'text',
                    ],
                    [
                        'code' => 'general/vendorSettings/vendor_listing',
                        'title' => 'Vendor listing',
                        //  'help' => 'Aprove vendor registration automatically',
                        'value' => isset($coreConfig->getConfigByPath($userId, 'general/vendorSettings/vendor_listing', $marketplace)["path"]) ?
                            $coreConfig->getConfigByPath($userId, 'general/vendorSettings/vendor_listing', $marketplace)["value"] : '' ,
                        'required' => false,
                        'type' => 'select',
                        'options' => [
                            'yes' => 'Yes',
                            'no' => 'No',
                        ]
                    ],
                    [
                        'code' => 'general/vendorSettings/vendor_url',
                        'title' => 'Vendor url',
                        //  'help' => 'Aprove vendor registration automatically',
                        'value' => isset($coreConfig->getConfigByPath($userId, 'general/vendorSettings/vendor_url', $marketplace)["path"]) ?
                            $coreConfig->getConfigByPath($userId, 'general/vendorSettings/vendor_url', $marketplace)["value"] : '' ,
                        'required' => false,
                        'type' => 'textarea',
                    ],
                    [
                        'code' => 'general/vendorSettings/vendor_nameon_prod_page',
                        'title' => 'Vendor name on prod page',
                        //  'help' => 'Aprove vendor registration automatically',
                        'value' => isset($coreConfig->getConfigByPath($userId, 'general/vendorSettings/vendor_nameon_prod_page', $marketplace)["path"]) ?
                            $coreConfig->getConfigByPath($userId, 'general/vendorSettings/vendor_nameon_prod_page', $marketplace)["value"] : '' ,
                        'required' => false,
                        'type' => 'text',
                    ],
                    [
                        'code' => 'general/vendorSettings/vendor_nameon_chart_page',
                        'title' => 'Vendor name on chart page',
                        //  'help' => 'Aprove vendor registration automatically',
                        'value' => isset($coreConfig->getConfigByPath($userId, 'general/vendorSettings/vendor_nameon_chart_page', $marketplace)["path"]) ?
                            $coreConfig->getConfigByPath($userId, 'general/vendorSettings/vendor_nameon_chart_page', $marketplace)["value"] : '' ,
                        'required' => false,
                        'type' => 'text',
                    ],
                    [
                        'code' => 'general/vendorSettings/vendor_nameon_ord_temp',
                        'title' => 'Vendor name on order templates',
                        //  'help' => 'Aprove vendor registration automatically',
                        'value' => isset($coreConfig->getConfigByPath($userId, 'general/vendorSettings/vendor_nameon_ord_temp', $marketplace)["path"]) ?
                            $coreConfig->getConfigByPath($userId, 'general/vendorSettings/vendor_nameon_ord_temp', $marketplace)["value"] : '' ,
                        'required' => false,
                        'type' => 'text',
                    ],
                    [
                        'code' => 'general/vendorSettings/invice_to_customer_contain_vendor_info',
                        'title' => 'invice to customer contain vendor information',
                        //  'help' => 'Aprove vendor registration automatically',
                        'value' => isset($coreConfig->getConfigByPath($userId, 'general/vendorSettings/invice_to_customer_contain_vendor_info', $marketplace)["path"]) ?
                            $coreConfig->getConfigByPath($userId, 'general/vendorSettings/invice_to_customer_contain_vendor_info', $marketplace)["value"] : '' ,
                        'required' => false,
                        'type' => 'select',
                        'options' => [
                            'yes' => 'Yes',
                            'no' => 'No',
                        ]
                    ],
                    [
                        'code' => 'general/vendorSettings/vendor_appr_ntf',
                        'title' => 'Vendor approve notification email',
                        //  'help' => 'Aprove vendor registration automatically',
                        'value' => isset($coreConfig->getConfigByPath($userId, 'general/vendorSettings/vendor_appr_ntf', $marketplace)["path"]) ?
                            $coreConfig->getConfigByPath($userId, 'general/vendorSettings/vendor_appr_ntf', $marketplace)["value"] : '' ,
                        'required' => false,
                        'type' => 'select',
                        'options' => [
                            BP.'/app/code/shopifyhome/view/email/approved0.volt' => 'Template A',
                            BP.'/app/code/shopifyhome/view/email/approved1.volt' => 'Template B',
                            BP.'/app/code/shopifyhome/view/email/approved2.volt' => 'Template C',
                        ]
                    ],
                    [
                        'code' => 'general/vendorSettings/vendor_disa_ntf',
                        'title' => 'Vendor disapprove notification email',
                        //  'help' => 'Aprove vendor registration automatically',
                        'value' => isset($coreConfig->getConfigByPath($userId, 'general/vendorSettings/vendor_disa_ntf', $marketplace)["path"]) ?
                            $coreConfig->getConfigByPath($userId, 'general/vendorSettings/vendor_disa_ntf', $marketplace)["value"] : '' ,
                        'required' => false,
                        'type' => 'select',
                        'options' => [
                            BP.'/app/code/shopifyhome/view/email/approved0.volt' => 'Template A',
                            BP.'/app/code/shopifyhome/view/email/approved1.volt' => 'Template B',
                            BP.'/app/code/shopifyhome/view/email/approved2.volt' => 'Template C',
                        ]
                    ],
                    [
                        'code' => 'general/vendorSettings/vendor_del_ntf',
                        'title' => 'Vendor delete notification email',
                        //  'help' => 'Aprove vendor registration automatically',
                        'value' => isset($coreConfig->getConfigByPath($userId, 'general/vendorSettings/vendor_del_ntf', $marketplace)["path"]) ?
                            $coreConfig->getConfigByPath($userId, 'general/vendorSettings/vendor_del_ntf', $marketplace)["value"] : '' ,
                        'required' => false,
                        'type' => 'select',
                        'options' => [
                            BP.'/app/code/shopifyhome/view/email/approved0.volt' => 'Template A',
                            BP.'/app/code/shopifyhome/view/email/approved1.volt' => 'Template B',
                            BP.'/app/code/shopifyhome/view/email/approved2.volt' => 'Template C',
                        ]
                    ],[
                        'code' => 'general/vendorSettings/vendor_shop_enable_ntf',
                        'title' => 'Vendor shop yes notification email',
                        //  'help' => 'Aprove vendor registration automatically',
                        'value' => isset($coreConfig->getConfigByPath($userId, 'general/vendorSettings/vendor_shop_enable_ntf', $marketplace)["path"]) ?
                            $coreConfig->getConfigByPath($userId, 'general/vendorSettings/vendor_shop_enable_ntf', $marketplace)["value"] : '' ,
                        'required' => false,
                        'type' => 'select',
                        'options' => [
                            BP.'/app/code/shopifyhome/view/email/approved0.volt' => 'Template A',
                            BP.'/app/code/shopifyhome/view/email/approved1.volt' => 'Template B',
                            BP.'/app/code/shopifyhome/view/email/approved2.volt' => 'Template C',
                        ]
                    ],
                    [
                        'code' => 'general/vendorSettings/vendor_shop_disable_ntf',
                        'title' => 'Vendor shop no notification email',
                        //  'help' => 'Aprove vendor registration automatically',
                        'value' => isset($coreConfig->getConfigByPath($userId, 'general/vendorSettings/vendor_shop_disable_ntf', $marketplace)["path"]) ?
                            $coreConfig->getConfigByPath($userId, 'general/vendorSettings/vendor_shop_disable_ntf', $marketplace)["value"] : '' ,
                        'required' => false,
                        'type' => 'select',
                        'options' => [
                            BP.'/app/code/shopifyhome/view/email/approved0.volt' => 'Template A',
                            BP.'/app/code/shopifyhome/view/email/approved1.volt' => 'Template B',
                            BP.'/app/code/shopifyhome/view/email/approved2.volt' => 'Template C',
                        ]
                    ],
                ],
                'Vendor Product Settings'=>[[
                    'code' => 'general/vendorProductSettings/product_approval',
                    'title' => 'Product approval',
                    //  'help' => 'Aprove vendor registration automatically',
                    'value' => isset($coreConfig->getConfigByPath($userId, 'general/vendorProductSettings/product_approval', $marketplace)["path"]) ?
                        $coreConfig->getConfigByPath($userId, 'general/vendorProductSettings/product_approval', $marketplace)["value"] : '' ,
                    'required' => false,
                    'type' => 'select',
                    'options' => [
                        'yes' => 'Yes',
                        'no' => 'No',
                    ]
                ],
                    [
                        'code' => 'general/vendorProductSettings/no_of_products',
                        'title' => 'Numbor of products',
                        //  'help' => 'Aprove vendor registration automatically',
                        'value' => isset($coreConfig->getConfigByPath($userId, 'general/vendorProductSettings/no_of_products', $marketplace)["path"]) ?
                            $coreConfig->getConfigByPath($userId, 'general/vendorProductSettings/no_of_products', $marketplace)["value"] : '' ,
                        'required' => false,
                        'type' => 'text',
                    ],
                    [
                        'code' => 'general/vendorProductSettings/categories_allowed',
                        'title' => 'Allowed categories',
                        //  'help' => 'Aprove vendor registration automatically',
                        'value' => isset($coreConfig->getConfigByPath($userId, 'general/vendorProductSettings/categories_allowed', $marketplace)["path"]) ?
                            $coreConfig->getConfigByPath($userId, 'general/vendorProductSettings/categories_allowed', $marketplace)["value"] : '' ,
                        'required' => false,
                        'type' => 'select',
                        'options' => [
                            'A' => 'A',
                            'B' => 'B',
                            'C' => 'C',
                            'D' => 'D',
                        ]
                    ],
                    [
                        'code' => 'general/vendorProductSettings/vendor_prod_appr_ntf',
                        'title' => 'Vendor product approve notification email',
                        //  'help' => 'Aprove vendor registration automatically',
                        'value' => isset($coreConfig->getConfigByPath($userId, 'general/vendorProductSettingsvendorProductSettings/vendor_prod_appr_ntf', $marketplace)["path"]) ?
                            $coreConfig->getConfigByPath($userId, 'general/vendorProductSettings/vendor_prod_appr_ntf', $marketplace)["value"] : '' ,
                        'required' => false,
                        'type' => 'select',
                        'options' => [
                            BP.'/app/code/shopifyhome/view/email/approved0.volt' => 'Template A',
                            BP.'/app/code/shopifyhome/view/email/approved1.volt' => 'Template B',
                            BP.'/app/code/shopifyhome/view/email/approved2.volt' => 'Template C',
                        ]
                    ],
                    [
                        'code' => 'general/vendorProductSettings/vendor_prod_disappr_ntf',
                        'title' => 'Vendor product disapprove notification email',
                        //  'help' => 'Aprove vendor registration automatically',
                        'value' => isset($coreConfig->getConfigByPath($userId, 'general/vendorProductSettings/vendor_prod_disappr_ntf', $marketplace)["path"]) ?
                            $coreConfig->getConfigByPath($userId, 'general/vendorProductSettings/vendor_prod_disappr_ntf', $marketplace)["value"] : '' ,
                        'required' => false,
                        'type' => 'select',
                        'options' => [
                            BP.'/app/code/shopifyhome/view/email/approved0.volt' => 'Template A',
                            BP.'/app/code/shopifyhome/view/email/approved1.volt' => 'Template B',
                            BP.'/app/code/shopifyhome/view/email/approved2.volt' => 'Template C',
                        ]
                    ],
                    [
                        'code' => 'general/vendorProductSettings/vendor_prod_del_ntf',
                        'title' => 'Vendor product delete notification email',
                        //  'help' => 'Aprove vendor registration automatically',
                        'value' => isset($coreConfig->getConfigByPath($userId, 'general/vendorProductSettings/vendor_prod_del_ntf', $marketplace)["path"]) ?
                            $coreConfig->getConfigByPath($userId, 'general/vendorProductSettings/vendor_prod_del_ntf', $marketplace)["value"] : '' ,
                        'required' => false,
                        'type' => 'select',
                        'options' => [
                            BP.'/app/code/shopifyhome/view/email/approved0.volt' => 'Template A',
                            BP.'/app/code/shopifyhome/view/email/approved1.volt' => 'Template B',
                            BP.'/app/code/shopifyhome/view/email/approved2.volt' => 'Template C',
                        ]
                    ],
                ],
                'Vendor Transaction Settings'=>[[
                    'code' => 'general/vendorTransactionSettings/commission_type',
                    'title' => 'Commission type',
                    //  'help' => 'Aprove vendor registration automatically',
                    'value' => isset($coreConfig->getConfigByPath($userId, 'general/vendorTransactionSettings/commission_type', $marketplace)["path"]) ?
                        $coreConfig->getConfigByPath($userId, 'general/vendorTransactionSettings/commission_type', $marketplace)["value"] : '' ,
                    'required' => false,
                    'type' => 'select',
                    'options' => [
                        'percentage' => 'Percentage',
                        'fixed' => 'Fixed (in USD)',
                    ]
                ],
                    [
                        'code' => 'general/vendorTransactionSettings/commission_value',
                        'title' => 'Commission value',
                        //  'help' => 'Aprove vendor registration automatically',
                        'value' => isset($coreConfig->getConfigByPath($userId, 'general/vendorTransactionSettings/commission_value', $marketplace)["path"]) ?
                            $coreConfig->getConfigByPath($userId, 'general/vendorTransactionSettings/commission_value', $marketplace)["value"] : '' ,
                        'required' => false,
                        'type' => 'text',
                    ],
                    [
                        'code' => 'general/vendorTransactionSettings/payment_request',
                        'title' => 'Payment request',
                        //  'help' => 'Aprove vendor registration automatically',
                        'value' => isset($coreConfig->getConfigByPath($userId, 'general/vendorTransactionSettings/payment_request', $marketplace)["path"]) ?
                            $coreConfig->getConfigByPath($userId, 'general/vendorTransactionSettings/payment_request', $marketplace)["value"] : '' ,
                        'required' => false,
                        'type' => 'select',
                        'options' => [
                            'yes' => 'Yes',
                            'no' => 'No',
                        ]
                    ],
                    [
                        'code' => 'general/vendorTransactionSettings/payment_cycle',
                        'title' => 'Payment cycle (in days)',
                        //  'help' => 'Aprove vendor registration automatically',
                        'value' => isset($coreConfig->getConfigByPath($userId, 'general/vendorTransactionSettings/payment_cycle', $marketplace)["path"]) ?
                            $coreConfig->getConfigByPath($userId, 'general/vendorTransactionSettings/payment_cycle', $marketplace)["value"] : '' ,
                        'required' => false,
                        'type' => 'number',
                    ],
                    [
                        'code' => 'general/vendorTransactionSettings/payment_methods',
                        'title' => 'Payment methods',
                        //  'help' => 'Aprove vendor registration automatically',
                        'value' => isset($coreConfig->getConfigByPath($userId, 'general/vendorTransactionSettings/payment_methods', $marketplace)["path"]) ?
                            $coreConfig->getConfigByPath($userId, 'general/vendorTransactionSettings/payment_methods', $marketplace)["value"] : '' ,
                        'required' => false,
                        'type' => 'select',
                        'options' => [
                            'Credit Card Direct Post (Authorize.Net)' => 'Credit Card Direct Post (Authorize.Net)',
                            'Check / Money order' => 'Check / Money order',
                            'Purchase Order<' => 'Purchase Order',
                            'Bank Transfer Payment' => 'Bank Transfer Payment',
                            'Cash On Delivery' => 'Cash On Delivery',
                            'Credit Card (Authorize.Net)' => 'Credit Card (Authorize.Net)',
                            'PayPal Express Checkout' => 'PayPal Express Checkout',

                        ]
                    ],
                    [
                        'code' => 'general/vendorTransactionSettings/marketplace_Fee',
                        'title' => 'Marketplace Fee (in USD)',
                        //  'help' => 'Aprove vendor registration automatically',
                        'value' => isset($coreConfig->getConfigByPath($userId, 'general/vendorTransactionSettings/marketplace_Fee', $marketplace)["path"]) ?
                            $coreConfig->getConfigByPath($userId, 'general/vendorTransactionSettings/marketplace_Fee', $marketplace)["value"] : '' ,
                        'required' => false,
                        'type' => 'number',
                    ],
                    [
                        'code' => 'general/vendorTransactionSettings/service_tax',
                        'title' => 'Service tax in (USD)',
                        //  'help' => 'Aprove vendor registration automatically',
                        'value' => isset($coreConfig->getConfigByPath($userId, 'general/vendorTransactionSettings/service_tax', $marketplace)["path"]) ?
                            $coreConfig->getConfigByPath($userId, 'general/vendorTransactionSettings/service_tax', $marketplace)["value"] : '' ,
                        'required' => false,
                        'type' => 'number',
                    ],
                    [
                        'code' => 'general/vendorTransactionSettings/anyother_fee',
                        'title' => 'Anyother fee (in USD)',
                        //  'help' => 'Aprove vendor registration automatically',
                        'value' => isset($coreConfig->getConfigByPath($userId, 'general/vendorTransactionSettings/anyother_fee', $marketplace)["path"]) ?
                            $coreConfig->getConfigByPath($userId, 'general/vendorTransactionSettings/anyother_fee', $marketplace)["value"] : '' ,
                        'required' => false,
                        'type' => 'number',
                    ],
                    [
                        'code' => 'general/vendorTransactionSettings/vendor_tran_ntf',
                        'title' => 'Vendor transaction notification email',
                        //  'help' => 'Aprove vendor registration automatically',
                        'value' => isset($coreConfig->getConfigByPath($userId, 'general/vendorTransactionSettings/vendor_tran_ntf', $marketplace)["path"]) ?
                            $coreConfig->getConfigByPath($userId, 'general/vendorTransactionSettings/vendor_tran_ntf', $marketplace)["value"] : '' ,
                        'required' => false,
                        'type' => 'select',
                        'options' => [
                            BP.'/app/code/shopifyhome/view/email/approved0.volt' => 'Template A',
                            BP.'/app/code/shopifyhome/view/email/approved1.volt' => 'Template B',
                            BP.'/app/code/shopifyhome/view/email/approved2.volt' => 'Template C',
                        ]
                    ],
                ],
                'Vendor Order Settings'=>[[
                    'code' => 'general/vendorOrderSettings/new_ord_mail',
                    'title' => 'New order mail',
                    //  'help' => 'Aprove vendor registration automatically',
                    'value' => isset($coreConfig->getConfigByPath($userId, 'general/vendorOrderSettings/new_ord_mail', $marketplace)["path"]) ?
                        $coreConfig->getConfigByPath($userId, 'general/vendorOrderSettings/new_ord_mail', $marketplace)["value"] : '' ,
                    'required' => false,
                    'type' => 'select',
                    'options' => [
                        'yes' => 'Yes',
                        'no' => 'No',
                    ]
                ],
                    [
                        'code' => 'general/vendorOrderSettings/new_invoice_mail',
                        'title' => 'New invoice mail',
                        //  'help' => 'Aprove vendor registration automatically',
                        'value' => isset($coreConfig->getConfigByPath($userId, 'general/vendorOrderSettings/new_invoice_mail', $marketplace)["path"]) ?
                            $coreConfig->getConfigByPath($userId, 'general/vendorOrderSettings/new_invoice_mail', $marketplace)["value"] : '' ,
                        'required' => false,
                        'type' => 'select',
                        'options' => [
                            'yes' => 'Yes',
                            'no' => 'No',
                        ]
                    ],
                    [
                        'code' => 'general/vendorOrderSettings/vendor_shipment_mail',
                        'title' => 'Vendor shipment mail',
                        //  'help' => 'Aprove vendor registration automatically',
                        'value' => isset($coreConfig->getConfigByPath($userId, 'general/vendorOrderSettings/vendor_shipment_mail', $marketplace)["path"]) ?
                            $coreConfig->getConfigByPath($userId, 'general/vendorOrderSettings/vendor_shipment_mail', $marketplace)["value"] : '' ,
                        'required' => false,
                        'type' => 'select',
                        'options' => [
                            'yes' => 'Yes',
                            'no' => 'No',
                        ]
                    ],
                    [
                        'code' => 'general/vendorOrderSettings/vendor_credit_memo_mail',
                        'title' => 'Vendor shipment mail',
                        //  'help' => 'Aprove vendor registration automatically',
                        'value' => isset($coreConfig->getConfigByPath($userId, 'general/vendorOrderSettings/vendor_credit_memo_mail', $marketplace)["path"]) ?
                            $coreConfig->getConfigByPath($userId, 'general/vendorOrderSettings/vendor_credit_memo_mail', $marketplace)["value"] : '' ,
                        'required' => false,
                        'type' => 'select',
                        'options' => [
                            'yes' => 'Yes',
                            'no' => 'No',
                        ]
                    ],
                    [
                        'code' => 'general/vendorOrderSettings/vendor_ord_cancel_ntf',
                        'title' => 'Vendor order cancel notification email',
                        //  'help' => 'Aprove vendor registration automatically',
                        'value' => isset($coreConfig->getConfigByPath($userId, 'general/vendorOrderSettings/vendor_ord_cancel_ntf', $marketplace)["path"]) ?
                            $coreConfig->getConfigByPath($userId, 'general/vendorOrderSettings/vendor_ord_cancel_ntf', $marketplace)["value"] : '' ,
                        'required' => false,
                        'type' => 'select',
                        'options' => [
                            'yes' => 'Yes',
                            'no' => 'No',
                        ]
                    ],
                    [
                        'code' => 'general/vendorOrderSettings/shipment_fee_admin',
                        'title' => 'Shipment fee admin (in USD)',
                        //  'help' => 'Aprove vendor registration automatically',
                        'value' => isset($coreConfig->getConfigByPath($userId, 'general/vendorOrderSettings/shipment_fee_admin', $marketplace)["path"]) ?
                            $coreConfig->getConfigByPath($userId, 'general/vendorOrderSettings/shipment_fee_admin', $marketplace)["value"] : '' ,
                        'required' => false,
                        'type' => 'number',
                    ],
                    [
                        'code' => 'general/vendorOrderSettings/shipment_fee_from_vendor',
                        'title' => 'Shipment fee from vendor (in USD)',
                        //  'help' => 'Aprove vendor registration automatically',
                        'value' => isset($coreConfig->getConfigByPath($userId, 'sgeneral/vendorOrderSettings/hipment_fee_from_vendor', $marketplace)["path"]) ?
                            $coreConfig->getConfigByPath($userId, 'general/vendorOrderSettings/shipment_fee_from_vendor', $marketplace)["value"] : '' ,
                        'required' => false,
                        'type' => 'text',
                    ],
                    [
                        'code' => 'general/vendorOrderSettings/vendor_can_invoice',
                        'title' => 'Vendor can invoice',
                        //  'help' => 'Aprove vendor registration automatically',
                        'value' => isset($coreConfig->getConfigByPath($userId, 'general/vendorOrderSettings/vendor_can_invoice', $marketplace)["path"]) ?
                            $coreConfig->getConfigByPath($userId, 'general/vendorOrderSettings/vendor_can_invoice', $marketplace)["value"] : '' ,
                        'required' => false,
                        'type' => 'select',
                        'options' => [
                            'yes' => 'Yes',
                            'no' => 'No',
                        ]
                    ],
                    [
                        'code' => 'general/vendorOrderSettings/vendor_can_ship',
                        'title' => 'Vendor can ship',
                        //  'help' => 'Aprove vendor registration automatically',
                        'value' => isset($coreConfig->getConfigByPath($userId, 'general/vendorOrderSettings/vendor_can_ship', $marketplace)["path"]) ?
                            $coreConfig->getConfigByPath($userId, 'general/vendorOrderSettings/vendor_can_ship', $marketplace)["value"] : '' ,
                        'required' => false,
                        'type' => 'select',
                        'options' => [
                            'yes' => 'Yes',
                            'no' => 'No',
                        ]
                    ],
                    [
                        'code' => 'general/vendorOrderSettings/vendor_can_credit_memo',
                        'title' => 'Vendor can credit memo',
                        //  'help' => 'Aprove vendor registration automatically',
                        'value' => isset($coreConfig->getConfigByPath($userId, 'general/vendorOrderSettings/vendor_can_credit_memo', $marketplace)["path"]) ?
                            $coreConfig->getConfigByPath($userId, 'general/vendorOrderSettings/vendor_can_credit_memo', $marketplace)["value"] : '' ,
                        'required' => false,
                        'type' => 'select',
                        'options' => [
                            'yes' => 'Yes',
                            'no' => 'No',
                        ]
                    ],
                    [
                        'code' => 'general/vendorOrderSettings/vendor_can_cancel_ord',
                        'title' => 'Vendor can cancel order',
                        //  'help' => 'Aprove vendor registration automatically',
                        'value' => isset($coreConfig->getConfigByPath($userId, 'general/vendorOrderSettings/vendor_can_cancel_ord', $marketplace)["path"]) ?
                            $coreConfig->getConfigByPath($userId, 'general/vendorOrderSettings/vendor_can_cancel_ord', $marketplace)["value"] : '' ,
                        'required' => false,
                        'type' => 'select',
                        'options' => [
                            'yes' => 'Yes',
                            'no' => 'No',
                        ]
                    ],
                    [
                        'code' => 'general/vendorOrderSettings/fee_vendor_cancel_ord',
                        'title' => 'Fee if vendor cancel order (in USD)',
                        //  'help' => 'Aprove vendor registration automatically',
                        'value' => isset($coreConfig->getConfigByPath($userId, 'general/vendorOrderSettings/fee_vendor_cancel_ord', $marketplace)["path"]) ?
                            $coreConfig->getConfigByPath($userId, 'general/vendorOrderSettings/fee_vendor_cancel_ord', $marketplace)["value"] : '' ,
                        'required' => false,
                        'type' => 'number',
                    ],
                    [
                        'code' => 'general/vendorOrderSettings/fee_vendor_delay_ord',
                        'title' => 'Fee if vendor delay order (in USD)',
                        //  'help' => 'Aprove vendor registration automatically',
                        'value' => isset($coreConfig->getConfigByPath($userId, 'general/vendorOrderSettings/fee_vendor_delay_ord', $marketplace)["path"]) ?
                            $coreConfig->getConfigByPath($userId, 'general/vendorOrderSettings/fee_vendor_delay_ord', $marketplace)["value"] : '' ,
                        'required' => false,
                        'type' => 'number',
                    ],
                    [
                        'code' => 'general/vendorOrderSettings/def_deliv_time',
                        'title' => 'Default delivery time (in days)',
                        // 'help' => 'Aprove vendor registration automatically',
                        'value' => isset($coreConfig->getConfigByPath($userId, 'general/vendorOrderSettings/def_deliv_time', $marketplace)["path"]) ?
                            $coreConfig->getConfigByPath($userId, 'general/vendorOrderSettings/def_deliv_time', $marketplace)["value"] : '' ,
                        'required' => false,
                        'type' => 'number',
                    ],

                    [
                        'code' => 'general/vendorOrderSettings/vendor_ord_ntf',
                        'title' => 'Vendor order notification email',
                        //  'help' => 'Aprove vendor registration automatically',
                        'value' => isset($coreConfig->getConfigByPath($userId, 'general/vendorOrderSettings/vendor_ord_ntf', $marketplace)["path"]) ?
                            $coreConfig->getConfigByPath($userId, 'general/vendorOrderSettings/vendor_ord_ntf', $marketplace)["value"] : '' ,
                        'required' => false,
                        'type' => 'select',
                        'options' => [
                            BP.'/app/code/shopifyhome/view/email/approved0.volt' => 'Template A',
                            BP.'/app/code/shopifyhome/view/email/approved1.volt' => 'Template B',
                            BP.'/app/code/shopifyhome/view/email/approved2.volt' => 'Template C',
                        ]
                    ],
                    [
                        'code' => 'general/vendorOrderSettings/vendor_invoice_ntf',
                        'title' => 'Vendor invoice notification email',
                        //  'help' => 'Aprove vendor registration automatically',
                        'value' => isset($coreConfig->getConfigByPath($userId, 'general/vendorOrderSettings/vendor_invoice_ntf', $marketplace)["path"]) ?
                            $coreConfig->getConfigByPath($userId, 'general/vendorOrderSettings/vendor_invoice_ntf', $marketplace)["value"] : '' ,
                        'required' => false,
                        'type' => 'select',
                        'options' => [
                            BP.'/app/code/shopifyhome/view/email/approved0.volt' => 'Template A',
                            BP.'/app/code/shopifyhome/view/email/approved1.volt' => 'Template B',
                            BP.'/app/code/shopifyhome/view/email/approved2.volt' => 'Template C',
                        ]
                    ],
                    [
                        'code' => 'general/vendorOrderSettings/vendor_shipment_ntf',
                        'title' => 'Vendor shipment notification email',
                        //  'help' => 'Aprove vendor registration automatically',
                        'value' => isset($coreConfig->getConfigByPath($userId, 'general/vendorOrderSettings/vendor_shipment_ntf', $marketplace)["path"]) ?
                            $coreConfig->getConfigByPath($userId, 'general/vendorOrderSettings/vendor_shipment_ntf', $marketplace)["value"] : '' ,
                        'required' => false,
                        'type' => 'select',
                        'options' => [
                            BP.'/app/code/shopifyhome/view/email/approved0.volt' => 'Template A',
                            BP.'/app/code/shopifyhome/view/email/approved1.volt' => 'Template B',
                            BP.'/app/code/shopifyhome/view/email/approved2.volt' => 'Template C',
                        ]
                    ],
                    [
                        'code' => 'general/vendorOrderSettings/vendor_credit_memo_ntf',
                        'title' => 'Vendor credit memo notification email',
                        //  'help' => 'Aprove vendor registration automatically',
                        'value' => isset($coreConfig->getConfigByPath($userId, 'general/vendorOrderSettings/vendor_credit_memo_ntf', $marketplace)["path"]) ?
                            $coreConfig->getConfigByPath($userId, 'general/vendorOrderSettings/vendor_credit_memo_ntf', $marketplace)["value"] : '' ,
                        'required' => false,
                        'type' => 'select',
                        'options' => [
                            BP.'/app/code/shopifyhome/view/email/approved0.volt' => 'Template A',
                            BP.'/app/code/shopifyhome/view/email/approved1.volt' => 'Template B',
                            BP.'/app/code/shopifyhome/view/email/approved2.volt' => 'Template C',
                        ]
                    ],
                    [
                        'code' => 'general/vendorOrderSettings/vendor_ord_cancel_ntf',
                        'title' => 'Vendor order cancel notification email',
                        //  'help' => 'Aprove vendor registration automatically',
                        'value' => isset($coreConfig->getConfigByPath($userId, 'general/vendorOrderSettings/vendor_ord_cancel_ntf', $marketplace)["path"]) ?
                            $coreConfig->getConfigByPath($userId, 'general/vendorOrderSettings/vendor_ord_cancel_ntf', $marketplace)["value"] : '' ,
                        'required' => false,
                        'type' => 'select',
                        'options' => [
                            BP.'/app/code/shopifyhome/view/email/approved0.volt' => 'Template A',
                            BP.'/app/code/shopifyhome/view/email/approved1.volt' => 'Template B',
                            BP.'/app/code/shopifyhome/view/email/approved2.volt' => 'Template C',
                        ]
                    ],
                ],
            ];
        }

        return $config;
    }

}