<?php
/**
 * CedCommerce
 *
 * NOTICE OF LICENSE
 *
 * This source file is subject to the End User License Agreement (EULA)
 * that is bundled with this package in the file LICENSE.txt.
 * It is also available through the world-wide-web at this URL:
 * http://cedcommerce.com/license-agreement.txt
 *
 * @category    Ced
 * @package     Ced_Bigcommercehome
 * @author      CedCommerce Core Team <connect@cedcommerce.com>
 * @copyright   Copyright CEDCOMMERCE (http://cedcommerce.com/)
 * @license     http://cedcommerce.com/license-agreement.txt
 */

namespace App\Bigcommercehome\Components\Mail;

use App\Bigcommercehome\Components\Core\Common;
use Exception;

class Seller extends Common
{
    public function welcome($data)
    {
        $path = 'bigcommercehome' . DS . 'view' . DS . 'email' . DS . 'review.volt';
        $mailData['email'] = $data['email'];
        $mailData['path'] = $path;
        $mailData['name'] = !empty($data['name']) ? $data['name'] : 'Seller';
        $mailData['subject'] = 'Account Pending for Facebook Approval';
        $mailData['aksb'] = $this->di->getConfig()->backend_base_url .'front/shopify/email/aksb.js';
        $mailData['logo'] = $this->di->getConfig()->backend_base_url .'front/shopify/email/logo.png';
        $mailData['fb_banner'] = $this->di->getConfig()->backend_base_url .'front/shopify/email/fb_banner.jpg';
        $response = $this->di->getObjectManager()->get('App\Core\Components\SendMail')->send($mailData);
    }

    public function onboard($data)
    {
        $path = 'bigcommercehome' . DS . 'view' . DS . 'email' . DS . 'onboard.volt';
        $mailData['email'] = $data['email'];
        $mailData['path'] = $path;
        $mailData['name'] = !empty($data['name']) ? $data['name'] : 'Seller';
        $mailData['subject'] = 'Welcome Onboard with Facebook Marketplace Integration';
        $this->di->getLog()->logContent('PROCESS 00010 | App\Bigcommercehome\Components\Mail\Seller | Send Mail | email id : '.$data['email'],'info','shopify'.DS.'mail.log');
        $response = $this->di->getObjectManager()->get('App\Core\Components\SendMail')->send($mailData);
    }

    public function uninstall($data)
    {
        $path = 'bigcommercehome' . DS . 'view' . DS . 'email' . DS . 'uninstall.volt';
        $mailData['email'] = $data['email'];
        $mailData['path'] = $path;
        $mailData['subject'] = "What went wrong?";
        $response = $this->di->getObjectManager()->get('App\Core\Components\SendMail')->send($mailData);
    }

    public function approved($data)
    {
        $path = 'bigcommercehome' . DS . 'view' . DS . 'email' . DS . 'approved.volt';
        $mailData['email'] = $data['email'];
        $mailData['path'] = $path;
        $mailData['subject'] = "Congratulations, start selling on Facebook";
        $response = $this->di->getObjectManager()->get('App\Core\Components\SendMail')->send($mailData);
        if(!$response){
            $this->di->getLog()->logContent('MAIL | Seller.php | approved fun |  **ERROR** Email not send to email id : '.$mailData['email'],'info','error_mail.log');
        }
        return $response;
    }

    public function catalog_sync($data){
        return false;
    }

    public function imported($data)
    {
        $path = 'bigcommercehome' . DS . 'view' . DS . 'email' . DS . 'products_imported.volt';
        $mailData['email'] = $data['email'];
        $mailData['path'] = $path;
        $mailData['subject'] = "You are Simply a Click away from Selling your Products";
        $response = $this->di->getObjectManager()->get('App\Core\Components\SendMail')->send($mailData);
    }
}