<?php
/**
 * CedCommerce
 *
 * NOTICE OF LICENSE
 *
 * This source file is subject to the End User License Agreement (EULA)
 * that is bundled with this package in the file LICENSE.txt.
 * It is also available through the world-wide-web at this URL:
 * http://cedcommerce.com/license-agreement.txt
 *
 * @category    Ced
 * @package     Ced_Bigcommercehome
 * @author      CedCommerce Core Team <connect@cedcommerce.com>
 * @copyright   Copyright CEDCOMMERCE (http://cedcommerce.com/)
 * @license     http://cedcommerce.com/license-agreement.txt
 */

namespace App\Bigcommercehome\Components\Product;

use App\Bigcommercehome\Components\Core\Common;
use Exception;

class Hook extends Common
{
    public function CreateOrUpdateProduct($product, $userId, $data){
        $handleProductData = $this->di->getObjectManager()->get('\App\Bigcommercehome\Components\Product\Import');
        $response = $handleProductData->importControl($product, $userId, $data);
        return ['success' => true, 'message' => 'Product Created.'];
    }

    public function CreateOrUpdateSku($product, $userId, $data){
        $handleProductData = $this->di->getObjectManager()->get('\App\Bigcommercehome\Components\Product\Import');
        $response = $handleProductData->importControl($product, $userId, $data);
        return ['success' => true, 'message' => 'Product Created.'];
    }

    public function deleteProduct($userId, $data){
        $sourceId = (string)$data['data']['data']['id'];
        $sourceId =  'ced_'.$sourceId;
        
        $productContainer = $this->di->getObjectManager()->create('\App\Connector\Models\ProductContainer');

        $product = $productContainer->getProductById(['id' => $sourceId, 'user_id' => $userId, 'source_marketplace'=> 'bigcommerce']);
        
        $response = $productContainer->deleteProduct(['source_product_id' => $sourceId]);
        
        return ['success' => true, 'message' => 'Product Deleted', 'product' => $product];
    }

    public function deleteSku($userId, $data){
        $sourceContainerId = (string)$data['data']['data']['sku']['product_id'];
        $sourceVariantId = (string)$data['data']['data']['sku']['variant_id'];

        $mongo = $this->di->getObjectManager()->create('\App\Core\Models\BaseMongo');
        $mongo->setSource("product_container");
        $mongoCollection = $mongo->getPhpCollection();
        $variant = $mongoCollection->findOne(['source_product_id' => $sourceVariantId, 'user_id' => (string)$userId]);

        $response = $mongoCollection->deleteOne(['source_product_id' => $sourceVariantId, 'user_id' => (string)$userId]);
        
        return ['success' => true, 'message' => 'Product SKU Deleted', 'product' => $variant];
    }
}