<?php
/**
 * CedCommerce
 *
 * NOTICE OF LICENSE
 *
 * This source file is subject to the End User License Agreement (EULA)
 * that is bundled with this package in the file LICENSE.txt.
 * It is also available through the world-wide-web at this URL:
 * http://cedcommerce.com/license-agreement.txt
 *
 * @category    Ced
 * @package     Ced_Shopifyhome
 * @author      CedCommerce Core Team <connect@cedcommerce.com>
 * @copyright   Copyright CEDCOMMERCE (http://cedcommerce.com/)
 * @license     http://cedcommerce.com/license-agreement.txt
 */

namespace App\Bigcommercehome\Components\Product\Inventory;

use App\Bigcommercehome\Components\Core\Common;
use Exception;

class Import extends Common
{
    const MARKETPLACE_CODE = 'shopify';

    public function _construct()
    {
        /* $this->_callName = 'shopify_core';
        parent::_construct(); */
        //$this->di->getLog()->logContent('Home Shopify : indside constructor of Import.php','info','shopify_product_import.log');
    }

    public function getProductInventory($locations, $remoteShopId = 0)
    {
        $target = $this->di->getObjectManager()->get('\App\Bigcommercehome\Components\Shop\Shop')->getUserMarkeplace();
        $remoteResponse = $this->di->getObjectManager()->get("\App\Connector\Components\ApiClient")
            ->init($target, true)
            ->call('/inventory',[],['shop_id'=> $remoteShopId, 'inventory_item_ids' => $locations], 'GET');
           
    //    print_r($remoteResponse);die;
        if(empty($remoteResponse['data'])){

            $this->di->getLog()->logContent('', 'info', 'shopify'.DS.'temp_inv_errorFlag_'.$this->di->getUser()->id.'.log');

            $this->di->getLog()->logContent('CRITICAL 00000 | Inventory\Import | getProductInventory | WHOLE CHUNK FAILED | Probable Error Cause : Product Delete Webhook Did not worked :(  | Input Data : '.json_encode(['shop_id'=> $remoteShopId, 'inventory_item_ids' => $locations]).' | Response From Remote : '.print_r($remoteResponse, true),'info','shopify'.DS.$this->di->getUser()->id.DS.'inventory'.DS.date("Y-m-d").DS.'import_error.log');

            return ['success' => true, 'message' => 'location import error'];
        }

        if(isset($remoteResponse['success']) && $remoteResponse['success']) {
            foreach($remoteResponse['data']['data'] as $productInv)
                {
                    $newPro[$productInv['inventory_item_id']][] = $productInv;
                }
               
            foreach($newPro as $id => $productInv){
                // print_r($productInv);die;
                $productInv = $this->di->getObjectManager()->get("App\Bigcommercehome\Components\Product\Inventory\Utility")->typeCastElement($productInv);
                $this->di->getObjectManager()->get("App\Bigcommercehome\Components\Product\Inventory\Data")->updateProductVariantInv((string)$id, $productInv); 
            }
            return ['success' => true, 'message' => 'location imported'];
        } else {
            return [
                'success' => false,
                'message' => 'Error obtaining Data from Bigcommerce.'
            ];
        }

        // perform db operations
    }  

    /*public function getShopifyProducts($productData, $sqsData = [], $cursor = 0)
    {
        $helper = $this->di->getObjectManager()->get('\App\Shopifyhome\Components\Product\Helper');
        $productContainer = $this->di->getObjectManager()->create('\App\Connector\Models\ProductContainer');

        foreach ($productData['data'] as $productData){
            $existingProductData = $productContainer->getProduct(['source_product_id' => $productData['container_id']]);
            $count = 0;
            if($existingProductData['success']){
                $productData['marketplace'] = Import::MARKETPLACE_CODE;
                $productData['db_action'] = "variant_update";
                // $data['user_id'] = $sqsData['data']['data']['user_id']; // required if calling via external source like cron else di will work everywhere
                $productContainer->updateProduct($productData);
                $count++;
                // error counter
            } else {
                $data['details'] = $helper->formatCoreDataForDetail($productData);
                $data['variant_attribute'] = isset($productData['variant_attributes']) ? $productData['variant_attributes'] : [];
                $data['variants'][] = $helper->formatCoreDataForVariantData($productData);
                $res = $productContainer->createProductsAndAttributes([$data], Import::MARKETPLACE_CODE);
                $count++;
            }
            $data = [];
        }
    }*/


}