<?php

namespace App\Bigcommercehome\Components\Product\Route;

use Phalcon\Http\Request;

class Requestcontrol extends \App\Core\Components\Base
{

    const BIGCOMMERCE_QUEUE_PRODUCT_IMPORT_MSG = 'BIGCOMMERCE_PRODUCT_IMPORT';

    const BIGCOMMERCE_QUEUE_INV_IMPORT_MSG = 'BIGCOMMERCE_INVENTORY_SYNC';

    public function fetchBigcommerceProduct($data){
        $appCode = isset($data['appTag'])?$data['appTag']:'bigcommerce_meli';
        if(!isset($data['data']['cursor'])){
            $target = $this->di->getObjectManager()->get('\App\Bigcommercehome\Components\Shop\Shop')->getUserMarkeplace();
            $remoteResponse = $this->di->getObjectManager()->get("\App\Connector\Components\ApiClient")->init($target, 'true', $appCode)->call('/product/count',[],['shop_id'=> $data['data']['remote_shop_id']], 'GET');
            
            if($remoteResponse['success'] && $remoteResponse['data'] == 0){
                $progress = $this->di->getObjectManager()->get('\App\Connector\Components\Helper')->updateFeedProgress($data['data']['feed_id'], 100);
                if ($progress && $progress == 100) {
                    $this->di->getObjectManager()->get('\App\Connector\Components\Helper')->addNotification($data['data']['user_id'], 'No Product Found on your BigCommerce Store', 'critical');
                }
                return true;
            } elseif($remoteResponse['success']) {            
                $individualWeight = (98 / ceil($remoteResponse['data'] / 100));
                echo "individualWeight = ". $individualWeight;
                echo PHP_EOL;
                echo "totalCount = ". $remoteResponse['data'];
                echo PHP_EOL;
                $data['data']['individual_weight'] = round($individualWeight,4,PHP_ROUND_HALF_UP);
                $data['data']['cursor'] = 0;
                $data['data']['total'] = $remoteResponse['data'];  
                $progress = $this->di->getObjectManager()->get('\App\Connector\Components\Helper')->updateFeedProgress($data['data']['feed_id'], 0, Requestcontrol::BIGCOMMERCE_QUEUE_PRODUCT_IMPORT_MSG.' : '.$remoteResponse['data'].  ' product(s) found. Please wait while products are being imported.');
                
                $resetData = $this->di->getObjectManager()->get('\App\Bigcommercehome\Components\Product\Helper')->resetImportFlag();
                $this->pushToQueue($data);
                return true;
            } else {
                $progress = $this->di->getObjectManager()->get('\App\Connector\Components\Helper')->updateFeedProgress($data['data']['feed_id'], 100);
                if ($progress && $progress == 100) {
                    $this->di->getObjectManager()->get('\App\Connector\Components\Helper')->addNotification($data['data']['user_id'], 'Failed to fetch Product(s) from BigCommerce. Please try again later.', 'critical');
                }
                return true;
            }          
        } elseif (isset($data['data']['delete_nexisting'])){
            $this->di->getObjectManager()->get("\App\Bigcommercehome\Components\Product\Helper")->deleteNotExistingProduct();
            
            /* Initiate a process to sync product status from Meli */
            // $this->di->getObjectManager()->get("\App\Mercadohome\Models\SourceModel")->initiateSync();

            $this->di->getObjectManager()->get('\App\Connector\Components\Helper')->updateFeedProgress($data['data']['feed_id'], 5, 'Finalizing .. ');
            $this->di->getObjectManager()->get('\App\Connector\Components\Helper')->addNotification($data['user_id'], $data['data']['total']. ' BigCommerce product(s) has been successfully imported.', 'success');
            return true;
        } else {
            $filter['shop_id'] = $data['data']['remote_shop_id']; 
            $filter['page'] = $data['data']['cursor']+1; 
            echo "processing cursor = ". $filter['page'];
            echo PHP_EOL;
            $userId = $data['data']['user_id']; 
            
            $target = $this->di->getObjectManager()->get('\App\Bigcommercehome\Components\Shop\Shop')->getUserMarkeplace();
            $remoteResponse = $this->di->getObjectManager()->get("\App\Connector\Components\ApiClient")->init($target, false, $appCode)->call('/product',[],$filter, 'GET');
            
            $handleProductData = $this->di->getObjectManager()->get('\App\Bigcommercehome\Components\Product\Import');
            if($remoteResponse['success'] && isset($remoteResponse['data'])) {
                $response = $handleProductData->importControl($remoteResponse, $userId, $data);
            } elseif (count($remoteResponse) > 9) {
                $response = $handleProductData->importControl(['data' => $remoteResponse], $userId, $data);
            } else {
                $response['success'] = false;
            }
            if($response['success']){
                $data['data']['cursor'] = $data['data']['cursor'] +1 ;
                $msg = Requestcontrol::BIGCOMMERCE_QUEUE_PRODUCT_IMPORT_MSG.' : '.($data['data']['cursor'] * 100).' of '.$data['data']['total'].' BigCommerce Product(s) has been successfully imported.';
                $progress = $this->di->getObjectManager()->get('\App\Connector\Components\Helper')->updateFeedProgress($data['data']['feed_id'], $data['data']['individual_weight'], $msg);

                echo "next cursor found = ". $data['data']['cursor'];
                echo PHP_EOL;

                if(($data['data']['cursor'] * 100) >= $data['data']['total']){
                    $data['data']['delete_nexisting'] = 1;
                    $this->di->getObjectManager()->get('\App\Connector\Components\Helper')->updateFeedProgress($data['data']['feed_id'], 0, Requestcontrol::BIGCOMMERCE_QUEUE_PRODUCT_IMPORT_MSG.' :  Finalizing .. ');
                    $this->pushToQueue($data);
                    return true;
                }
                $this->pushToQueue($data, 5);
                return true;
            } elseif (isset($response['msg']) || isset($response['message'])){
                $message = isset($response['msg']) ? $response['msg'] : $response['message'];
                $realMsg = '';
                if(is_string($message)) $realMsg = $message;
                elseif(is_array($message)) {
                    if(isset($message['errors'])) $realMsg = $message['errors'];
                }
                if(empty($realMsg)) $error = true;
                else {
                    if(strpos($realMsg, "Reduce request rates") || strpos($realMsg, "Try after sometime")){
                        $this->pushToQueue($data, time() + 8);
                        return true;
                    }
                    $error = false;
                }
            } else $error = true;

            if($error){
                $progress = $this->di->getObjectManager()->get('\App\Connector\Components\Helper')->updateFeedProgress($data['data']['feed_id'], 100);
                if ($progress && $progress == 100) {
                    $this->di->getObjectManager()->get('\App\Connector\Components\Helper')->addNotification($data['user_id'], $data['data']['total']. ' BigCommerce product(s) including variant(s) has been successfully imported.', 'success');
                }
                return true;
            }
        }        
        return true;
    }

    public function fetchProductInventoryLocationWise($data, $userId = null){
        $userId = $data['user_id'];
        // print_r($data);die;
        $this->di->getLog()->logContent('PROCESS 00000 | Request Control | Class - App\Bigcommercehome\Models | Function Name - SourceModel | SQS data : '.print_r($data, true),'info','bigcommerce'.DS.$this->di->getUser()->id.DS.'inventory'.DS.date("Y-m-d").DS.'inventory.log');

            $initLocationRequest = $this->di->getObjectManager()->get('\App\Bigcommercehome\Components\Product\Inventory\Data');
            $chunkResponse = $initLocationRequest->fetchLocationsInChunk($data, $userId);
           
            $error = false;

            $this->di->getLog()->logContent('PROCESS 00001 | Request Control | Class - App\Bigcommercehome\Components\Product\Route | Function Name - Requestcontrol | chunk wise inventory id(s) = '.json_encode($chunkResponse),'info','shopify'.DS.$this->di->getUser()->id.DS.'inventory'.DS.date("Y-m-d").DS.'inventory.log');

            if($chunkResponse['success'] && ($chunkResponse['locations'] == 'partial_error')){

                $this->di->getLog()->logContent('PROCESS XX0001 | Request Control | Class - App\Bigcommercehome\Components\Product\Route\Requestcontrol | Function Name - fetchProductInventoryLocationWise | chunk wise inventory id(s) = '.json_encode($chunkResponse).'| invalid cursor | SQS data = '.json_encode($data),'info','shopify'.DS.$this->di->getUser()->id.DS.'inventory'.DS.'inventory_error.log');

            $progress = $this->di->getObjectManager()->get('\App\Connector\Components\Helper')->updateFeedProgress($data['data']['feed_id'], 100);
                if ($progress && $progress == 100) {
                    $this->di->getObjectManager()->get('\App\Connector\Components\Helper')->addNotification($data['data']['user_id'], 'Invalid Inventory Data. Kindly reimport products or Kindly contact our support ', 'critical');
                }
                return true;
            } elseif($chunkResponse['success']) {
                $initLocationRequest = $this->di->getObjectManager()->get('\App\Bigcommercehome\Components\Product\Inventory\Import');
                $response = $initLocationRequest->getProductInventory($chunkResponse['locations'], $data['data']['remote_shop_id']);
                // print_r($response);die;
                $this->di->getLog()->logContent('PROCESS 00010 | Request Control | Class - App\Bigcommercehome\Components\Product\Route | Function Name - Requestcontrol | Response from BigCommerce = '.print_r($response, true),'info','shopify'.DS.$this->di->getUser()->id.DS.'inventory'.DS.date("Y-m-d").DS.'inventory.log');

                if($response['success']) {
                    if($data['data']['cursor'] == 0){
                        // setup individual weight and push to queue
                        $this->di->getLog()->logContent('json_encode = '.json_encode($chunkResponse),'info','Requestcontrol.log');
                        $individualWeight = (100 / $chunkResponse['total_chunk']);
                        $data['data']['individual_weight'] = round($individualWeight,4,PHP_ROUND_HALF_UP);
                        $data['data']['cursor'] = $data['data']['cursor'] + 1;
                        $data['data']['total'] = $chunkResponse['total'];
                        $data['data']['total_chunk'] = $chunkResponse['total_chunk'];
                        $this->di->getLog()->logContent('individual wt ='. $individualWeight,'info','Requestcontrol.log');

                    } else {
                        $data['data']['cursor'] = $data['data']['cursor'] + 1;
                        $this->di->getLog()->logContent('json_encode = '.json_encode($chunkResponse),'info','Requestcontrol.log');
                    }  
                    $msg = Requestcontrol::BIGCOMMERCE_QUEUE_INV_IMPORT_MSG.' : '.$data['data']['cursor'] * 40 . " of ".$data['data']['total']. " BigCommerce locations has been successfully synced";
                    $progress = $this->di->getObjectManager()->get('\App\Connector\Components\Helper')->updateFeedProgress($data['data']['feed_id'], $data['data']['individual_weight'], $msg);
                    
                    $this->di->getLog()->logContent('progress ='.$progress,'info','Requestcontrol.log');
                    if($data['data']['cursor'] == $data['data']['total_chunk'] ){
                        $this->di->getObjectManager()->get('\App\Connector\Components\Helper')->addNotification($data['user_id'], 'All inventory locations has been succesfully updated on App', 'success');
                        try{
                            $this->di->getObjectManager()->get('\App\Bigcommercehome\Components\Product\Helper')->ifEligibleSendMail($data['user_id']);
                        }catch (\Exception $e){
                            $this->di->getLog()->logContent('PROCESS 00000 | App\Bigcommercehome\Components\Product\Bulk\Route\RequestControl |Error while sending mail : ' . $e->getMessage(),\Phalcon\Logger::CRITICAL, 'shopify'.DS.'mail.log');
                        }
                        return true;
                    }
                    $this->pushToQueue($data);

                    // initiate sync with facebook
                    $mongo = $this->di->getObjectManager()->create('\App\Core\Models\BaseMongo');
                    $collection = $mongo->getCollectionForTable('user_details');
                    $user_details = $collection->findOne(['user_id' =>(string)$data['data']['user_id'],'product_imported'=>['$exists'=>true]]);

                    if ( empty($user_details) ){
                        $collection->updateOne(['user_id' => (string)$data['data']['user_id']], ['$set' => ['product_imported' =>1]]);
                        $fbData=array('marketplace' => "facebook");
                        $this->di->getObjectManager()->get("\App\Facebookhome\Models\SourceModel")->initiateSync($fbData);
                    }
                    return true;
                } else $error = true;
            } else $error = true;
            
            if($error) {
                $progress = $this->di->getObjectManager()->get('\App\Connector\Components\Helper')->updateFeedProgress($data['data']['feed_id'], 100);
                if ($progress && $progress == 100) {
                    $this->di->getObjectManager()->get('\App\Connector\Components\Helper')->addNotification($data['data']['user_id'], 'Failed to fetch inventory Id. '.$response['message'], 'critical');
                }
                return true;
            }
    }

    public function uploadProduct($data)
    {
        $request=$this->di->getObjectManager()->get('\App\Bigcommercehome\Components\Product\Data');
        $res = $request->initProductUploadQueue($data,$failed_product=false);
        return true;
    }

    public function handleCreateProduct($data){
        $remoteShopId = $data['data']['remote_shop_id'];
        $cursor=$data['data']['cursor'];
        $target= $data['data']['target'];
        $parentproducts_response = $this->di->getObjectManager()->get('\App\Bigcommercehome\Components\Product\Data')->getProductsInChunk($data['user_id'],$target,$cursor);
        $productData = $parentproducts_response['data'];
        $allproducts=$this->getProductWithVariants($productData,$data);
        print_r("All Products");
        foreach ($allproducts as $product){
            print_r("Inside Foreach Loop");
            $formatted_product=$this->di->getObjectManager()->get('\App\Bigcommercehome\Components\Product\Helper')->productFormat($product);
            $remoteResponse =$this->di->getObjectManager()->get("\App\Connector\Components\ApiClient")
                ->init($target, 'true')
                ->call('product',[],['shop_id'=>(string)$remoteShopId,'data'=>['product'=>$formatted_product]], 'POST');
            print_r($remoteResponse);
        }
        if($parentproducts_response['total_count']>=$cursor*10){
            $data['data']['cursor']+=1;
            $this->pushToQueue($data);
        }else{
            return true;
        }
        return true;
    }

    public function getProductWithVariants($productData,$sqsData){
        $mongo = $this->di->getObjectManager()->create('\App\Core\Models\BaseMongo');
        $mongo->setSource("product_container");
        $collection = $mongo->getCollection();
        $allproducts=[];
        if (is_array($productData) && count($productData)) {
            foreach ($productData as $value) {
                $singleproduct=[];
                $product_details = json_decode(json_encode($value) , true);
                $singleproduct['details']=$product_details;
                $allvariants=[];
                if($value['type']=="variation" && $value['visibility']=="Catalog and Search"){
                    $options = ["typeMap" => ['root' => 'array', 'document' => 'array']];
                    $allvariants=$collection->find(['container_id' => (string)$value['container_id'],'user_id'=>$sqsData['user_id'],'visibility'=>"Not Visible Individually"],$options)->toArray();
                    $singleproduct['variants']=$allvariants;
                }
                if($value['type']=="simple" && $value['visibility']=="Catalog and Search"){
                    $allvariants['']=$value;
                }
                array_push($allproducts,$singleproduct);
            }
        }
        return $allproducts;
    }

    public function uploadProductForRestvariants($data)
    {
//        print_r($data);die("routeData");
        echo PHP_EOL;
        echo "IN ROUTE CONTROL to PUSH EXTRAA VARIANT DATA:--";
        echo PHP_EOL;
        $request=$this->di->getObjectManager()->get('\App\Bigcommercehome\Components\Product\Data');
        $res = $request->initProductUploadQueue($data,$failed_product=false);
        return true;
    }

    public function pushToQueue($data, $time = 0, $queueName = 'temp')
    {
        /* $handlerData = [
            'type' => 'full_class',
            'class_name' => '\App\Ebayimporter\Components\Route\Requestcontrol',
            'queue_name' => $queueName,
            'own_weight' => 100,
            'user_id' => $data['user_id'],
            'data' => $data['data'],
            'run_after' => $time,
            'method' => $method
        ]; */
        $data['run_after'] = $time;
        if($this->di->getConfig()->get('enable_rabbitmq_internal')){
            $helper = $this->di->getObjectManager()->get('\App\Rmq\Components\Helper');
            return $helper->createQueue($data['queue_name'],$data);
        }
        return true;
    }

    public function updateQueueMessage($userId, $stringToMatch, $msg){        
        $queuedTask = new \App\Connector\Models\QueuedTasks;
        $queueModel = $queuedTask::findFirst(
            [
                'conditions' => 'user_id ='.$userId.' AND message LIKE "%'.$stringToMatch.'%"'
            ]
        );
        if($queueModel){
            $queueModel->message = $msg;
            $queueModel->save();
        }
    }

    public function fetchBigcommerceProductById($data){
        $prepareProduct = $filter = [];
        $userId = $data['user_id'];

        $webhook = $data['data'];
        $webData = $webhook['data'];
        $scope = $webhook['scope'];

        $userData = $this->di->getObjectManager()->get('\App\Core\Models\User\Details')->getDataByUserID($userId, 'bigcommerce');
        $remoteShopId = $userData->remote_shop_id;

        if($webData['type'] == "product"){
            if(isset($webData['inventory'])){
                $filter['id'] = $webData['inventory']['product_id'];
            }else if(isset($webData['id'])){
                $filter['id'] = $webData['id'];
            }
        }
        if(!isset($filter['id'])){
            return true; // product_id not found
        }
        
        $filter['shop_id'] = $remoteShopId;
        $appCode = $data['app_code'];
        
        $remoteResponse = $this->di->getObjectManager()->get("\App\Connector\Components\ApiClient")->init('bigcommerce', true, $appCode)->call('/product/id',[], $filter, 'GET');
        
        if (isset($remoteResponse['success']) && $remoteResponse['success']) {
            $remoteResponse = $remoteResponse['data'];
            $product = json_decode($remoteResponse, true);
            $prepareProduct['data'] = [$product];
            return $prepareProduct;
        }
        return $prepareProduct;
    }

    public function fetchBigcommerceProductBySku($data){
        $prepareProduct = $filter = [];
        $userId = $data['user_id'];

        $webhook = $data['data'];
        $webData = $webhook['data'];
        $scope = $webhook['scope'];

        $userData = $this->di->getObjectManager()->get('\App\Core\Models\User\Details')->getDataByUserID($userId, 'bigcommerce');
        $remoteShopId = $userData->remote_shop_id;
        if($webData['type'] == "sku"){
            if(isset($webData['inventory'])){
                $filter['id'] = $webData['inventory']['product_id'];
            }else if(isset($webData['sku']) && isset($webData['sku']['product_id'])){
                $filter['id'] = $webData['sku']['product_id'];
            }
        }
        if(!isset($filter['id'])){
            return true; // product_id not found
        }

        $filter['shop_id'] = $remoteShopId;
        $appCode = $data['app_code'];
        $remoteResponse = $this->di->getObjectManager()->get("\App\Connector\Components\ApiClient")->init('bigcommerce', true, $appCode)->call('/product/id',[], $filter, 'GET');
        
        if (isset($remoteResponse['success']) && $remoteResponse['success']) {
            $remoteResponse = $remoteResponse['data'];
            $product = json_decode($remoteResponse, true);
            $prepareProduct['data'] = [$product];
            return $prepareProduct;
        }
        return $prepareProduct;
    }
}