<?php
/**
 * CedCommerce
 *
 * NOTICE OF LICENSE
 *
 * This source file is subject to the End User License Agreement (EULA)
 * that is bundled with this package in the file LICENSE.txt.
 * It is also available through the world-wide-web at this URL:
 * http://cedcommerce.com/license-agreement.txt
 *
 * @category    Ced
 * @package     Ced_Shopifyhome
 * @author      CedCommerce Core Team <connect@cedcommerce.com>
 * @copyright   Copyright CEDCOMMERCE (http://cedcommerce.com/)
 * @license     http://cedcommerce.com/license-agreement.txt
 */

namespace App\Bigcommercehome\Components\Product\Vistar;

use App\Bigcommercehome\Components\Core\Common;
use Exception;

class Data extends Common
{
    public function pushToQueue($data, $time = 0, $queueName = 'temp')
    {   
        // print_r("HHH");
        $data['run_after'] = $time;
        if($this->di->getConfig()->get('enable_rabbitmq_internal')){
            $helper = $this->di->getObjectManager()->get('\App\Rmq\Components\Helper');
            return $helper->createQueue($data['queue_name'],$data);
        }
        return true;
    }
    

    public function completeProgressBar($sqsData, $msg = "Error fetching data from Shopify. Kindly contact support for help."){
        $progress = $this->di->getObjectManager()->get('\App\Connector\Components\Helper')->updateFeedProgress($sqsData['data']['feed_id'], 100);
        if ($progress && $progress == 100) {
            $this->di->getObjectManager()->get('\App\Connector\Components\Helper')->addNotification($sqsData['data']['user_id'], $msg, 'critical');
        }
    }

    public function updateQueueMessage($userId, $stringToMatch, $msg){
        $queuedTask = new \App\Connector\Models\QueuedTasks;
        $queueModel = $queuedTask::findFirst(
            [
                'conditions' => 'user_id ='.$userId.' AND message LIKE "%'.$stringToMatch.'%"'
            ]
        );
        if($queueModel){
            $queueModel->message = $msg;
            $queueModel->save();
        }
    }
}