<?php

namespace App\Bigcommercehome\Components\Product\Vistar\Route;

use Phalcon\Http\Request;

class Requestcontrol extends \App\Core\Components\Base
{
    private $_vistarData;

    private $_vistarImport;

    const SHOPIFY_QUEUE_PRODUCT_IMPORT_MSG = 'BIGCOMMERCE_PRODUCT_IMPORT';

    public function init()
    {
        // print_r("HELLL\n");
        // print_r("dfhdhf\n");
        // print_r("fkjhskj\n");
        // return true;
        $this->_vistarData = $this->di->getObjectManager()->get("\App\Bigcommercehome\Components\Product\Vistar\Data");
        // $this->_vistarData->abc();
        // print_r();
        
        // return true;
        $this->_vistarImport = $this->di->getObjectManager()->get("\App\Bigcommercehome\Components\Product\Vistar\Import");
        // print_r("idkjishkji\n");
        $this->_connectorHelper = $this->di->getObjectManager()->get('\App\Connector\Components\Helper');
    }

    public function handleImport($sqsData)
    {   
        // print_r($sqsData);die;
        $this->di->getLog()->logContent('Process 00000 | Now Performing Operation : '.$sqsData['data']['operation'],'info','shopify'.DS.$this->di->getUser()->id.DS.'product'.DS.date("Y-m-d").DS.'vistar_product_import.log');

        $this->init();
        // return true;
        // print_r("gdhjstghjtg\n");die;
        $operation = $sqsData['data']['operation'];
        // print_r($operation);

            switch($operation){

                case 'make_request' :
                    $this->di->getLog()->logContent('Make Request : '.print_r($sqsData, true),'info','bigcommerce'.DS.$this->di->getUser()->id.DS.'product'.DS.date("Y-m-d").DS.'SQS.log');
                    $response = $this->_vistarImport->init()->createRequest($sqsData['data']['remote_shop_id'], $sqsData);
                    
                    if($response['success']) $this->_vistarData->pushToQueue($response['sqs_data'], (time() + 8));
                    else $this->_vistarData->completeProgressBar($response['sqs_data']);

                    break;

                case 'get_status' :
                    if(!isset($sqsData['data']['retry'])) $this->di->getLog()->logContent('Get Status : '.print_r($sqsData, true),'info','shopify'.DS.$this->di->getUser()->id.DS.'product'.DS.date("Y-m-d").DS.'SQS.log');
                    $remoteResponse = $this->_vistarImport->init()->requestStatus($sqsData['data']['remote_shop_id'], $sqsData);
                    if($remoteResponse['success'] && isset($remoteResponse['sqs_data']['data']['retry'])){
                        $runAfterTime = ((25 * $remoteResponse['sqs_data']['data']['retry']) < 100) ? (25 * $remoteResponse['sqs_data']['data']['retry']) : 90;
                        $this->di->getLog()->logContent('PROCESS 00210 | Requestcontrol | handleImport | Run After (secs) = '.$runAfterTime,'info','shopify'.DS.$this->di->getUser()->id.DS.'product'.DS.date("Y-m-d").DS.'vistar_product_import.log');
                        $this->_vistarData->pushToQueue($remoteResponse['sqs_data'], (time() + $runAfterTime));
                    }   elseif($remoteResponse['success']) $this->_vistarData->pushToQueue($remoteResponse['sqs_data']);
                    else $this->_vistarData->completeProgressBar($remoteResponse['sqs_data']);

                    break;

                case 'build_progress' :
                    $this->di->getLog()->logContent('Build Progress : '.print_r($sqsData, true),'info','shopify'.DS.$this->di->getUser()->id.DS.'product'.DS.date("Y-m-d").DS.'SQS.log');
                    $remoteResponse = $this->_vistarImport->init()->buildProgressBar($sqsData);
                    if($remoteResponse['success']) {
                        $resetData = $this->di->getObjectManager()->get('\App\Shopifyhome\Components\Product\Helper')->resetImportFlag();
                        $this->_vistarData->pushToQueue($remoteResponse['sqs_data']);
                    }
                    elseif ($remoteResponse['notice']) $this->_vistarData->completeProgressBar($remoteResponse['sqs_data'], $remoteResponse['notice']);
                    else $this->_vistarData->completeProgressBar($remoteResponse['sqs_data']);

                    break;

                case 'import_product' :
                    if($sqsData['data']['total_variant'] == 0) $this->di->getLog()->logContent('Import Product : '.print_r($sqsData, true),'info','shopify'.DS.$this->di->getUser()->id.DS.'product'.DS.date("Y-m-d").DS.'SQS.log');

                    $remoteResponse = $this->_vistarImport->init()->importControl($sqsData);
                    $this->di->getLog()->logContent(' PROCESS 003000 | Route | RequestCOntrol | Response : '.print_r($remoteResponse, true),'info','shopify'.DS.$this->di->getUser()->id.DS.'product'.DS.date("Y-m-d").DS.'vistar_product_import.log');
                    if($remoteResponse['requeue'] && !isset($sqsData['data']['test'])) {
                        $this->di->getLog()->logContent('PROCESS 004001 | Requestcontrol | handleImport | '.$remoteResponse['sqs_data']['data']['total_variant'].' variant(s) has been successfullly imported. | Stats : '.json_encode($remoteResponse['data']),'info','shopify'.DS.$this->di->getUser()->id.DS.'product'.DS.date("Y-m-d").DS.'vistar_product_import.log');

                        $this->_vistarData->pushToQueue($remoteResponse['sqs_data']);

                    }   elseif (isset($remoteResponse['is_complete']))  {
                        $this->di->getLog()->logContent('PROCESS 004002 | Requestcontrol | handleImport | '.$remoteResponse['sqs_data']['data']['total'].' variant(s) has been successfullly imported. Stats : '.json_encode($remoteResponse['data']),'info','shopify'.DS.$this->di->getUser()->id.DS.'product'.DS.date("Y-m-d").DS.'vistar_product_import.log');

                        $this->_connectorHelper->updateFeedProgress($sqsData['data']['feed_id'],0, 'SHOPIFY_PRODUCT_IMPORT : Finalizing..' );
                        try{ $this->di->getObjectManager()->get('\App\Shopifyhome\Components\Product\Helper')->ifEligibleSendMail($sqsData['data']['user_id']);}
                        catch (\Exception $e){ $this->di->getLog()->logContent('PROCESS 00000 | App\Shopifyhome\Components\Product\Bulk\Route\RequestControl | Error while sending mail : ' . $e->getMessage(), \Phalcon\Logger::CRITICAL, 'mail.log'); }
                        $this->_vistarData->pushToQueue($remoteResponse['sqs_data']);
                    }   else {
                        $progress = $this->_connectorHelper->updateFeedProgress($sqsData['data']['feed_id'], 100);
                        if ($progress && $progress == 100) { $this->_connectorHelper->addNotification($sqsData['data']['user_id'], 'Your request has been declined. Kindly contact support.', 'critical'); }
                    }

                    break;

                case 'delete_nexisting' :
                    $this->di->getLog()->logContent('delete_nexisting Process : '.print_r($sqsData, true),'info','shopify'.DS.$this->di->getUser()->id.DS.'product'.DS.date("Y-m-d").DS.'SQS.log');
                    $this->di->getObjectManager()->get("\App\Shopifyhome\Components\Product\Helper")->deleteNotExistingProduct('', 'vistar_');
                    $this->_connectorHelper->updateFeedProgress($sqsData['data']['feed_id'], 100, 'Finalizing .. ');
                    $this->_connectorHelper->addNotification($sqsData['data']['user_id'], $sqsData['data']['total'].' product variant(s) has been successfully imported.', 'success');

                    $this->di->getLog()->logContent('PROCESS 0005000 | Requestcontrol | Import | Non Existing Product Deleted ','info','shopify'.DS.$this->di->getUser()->id.DS.'product'.DS.date("Y-m-d").DS.'vistar_product_import.log');

                    // initiate sync with facebook
                    $mongo = $this->di->getObjectManager()->create('\App\Core\Models\BaseMongo');
                    $collection = $mongo->getCollectionForTable('user_details');
                    $user_details = $collection->findOne(['user_id' =>(string)$sqsData['data']['user_id'],'product_imported'=>['$exists'=>true]]);

                    if ( empty($user_details) ){
                        $collection->updateOne(['user_id' => (string)$sqsData['data']['user_id']], ['$set' => ['product_imported' =>1]]);
                        $fbData=array('marketplace' => "facebook");
                        $this->di->getObjectManager()->get("\App\Facebookhome\Models\SourceModel")->initiateSync($fbData);
                    }
                    break;

                default :
                    $this->di->getLog()->logContent('Request Control | Class - App\Shopifyhome\Components\Product\Bulk\Route | Function Name - handleBulkImport | Error Occured, no operation found | SQS Data = \n'.print_r($sqsData, true),'info','shopify'.DS.$this->di->getUser()->id.DS.'product'.DS.date("Y-m-d").DS.'vistar_product_import.log');
                    $progress = $this->_connectorHelper->updateFeedProgress($sqsData['data']['feed_id'], 100);
                    if ($progress && $progress == 100) $this->_connectorHelper->addNotification($sqsData['data']['user_id'], 'No response found. Kindly contact support for more info.', 'critical');

                    break;
            }
        /*$this->di->getLog()->logContent(' Request Control Product | Now processing request for User ID : '.$this->di->getUser()->id,'info','shopify'.DS.'Requestcontrol'.DS.date("Y-m-d").DS.'RequestcontrolVistar.log');*/
        return true;
    }
}