<?php
/**
 * CedCommerce
 *
 * NOTICE OF LICENSE
 *
 * This source file is subject to the End User License Agreement (EULA)
 * that is bundled with this package in the file LICENSE.txt.
 * It is also available through the world-wide-web at this URL:
 * http://cedcommerce.com/license-agreement.txt
 *
 * @category    Ced
 * @package     Ced_Shopifyhome
 * @author      CedCommerce Core Team <connect@cedcommerce.com>
 * @copyright   Copyright CEDCOMMERCE (http://cedcommerce.com/)
 * @license     http://cedcommerce.com/license-agreement.txt
 */

namespace App\Shopifyhome\Components\Shop;

use App\Shopifyhome\Components\Core\Common;
use Exception;

class Hook extends Common
{
    public function addAndUpdateLocation($data){
        $target = $this->di->getObjectManager()->get('\App\Shopifyhome\Components\Shop\Shop')->getUserMarkeplace();
        $shopId = $this->di->getObjectManager()->get("\App\Core\Models\User\Details")->getDataByUserID((string)$data['user_id'], $target)->_id;
        
        /*$mongo = $this->di->getObjectManager()->create('\App\Core\Models\BaseMongo');
        $mongo->setSource("user_details");
        $collection = $mongo->getPhpCollection();

        $userData = $collection->findOne(
            ['shops.remote_shop_id' => $remoteShopId],
            ['typeMap' => ['root' => 'array', 'document' => 'array'] ]
        );*/

        $warehouse = $this->di->getObjectManager()->get('\App\Shopifyhome\Components\Shop\Utility')->locationNodeToExcludeAndFormatData($data['data']);

        $_user_details = $this->di->getObjectManager()->get('\App\Core\Models\User\Details');
        $warehouseResponse = $_user_details->addWarehouse($shopId, $warehouse, (string)$data['user_id'], ['id']);

        $this->di->getLog()->logContent('PROCESS 000020 | Hook | addLocation | Response = \n'.print_r($warehouseResponse, true),'info','shopify'.DS.$this->di->getUser()->id.DS.'locations'.DS.date("Y-m-d").DS.'webhook_locations.log');

    }

    public function deleteLocation($data){

        $mongo = $this->di->getObjectManager()->create('\App\Core\Models\BaseMongo');
        $locations = $mongo->setSource("user_details")->getPhpCollection();
        $warehouse = $locations->aggregate([
            ['$unwind' => '$shops'],
            ['$unwind' => '$shops.warehouses'],
            ['$match' => [
                            'shops.warehouses.id' => (string)$data['data']['id']
            ]
            ],
            ['$group' => [
                '_id' => '$shops.warehouses._id'
            ]
            ]
        ])->toArray();

        if(empty($warehouse)){
            $this->di->getLog()->logContent('PROCESS X00030 | shop | Hook | deleteLocation | Location not found','info','shopify'.DS.$this->di->getUser()->id.DS.'locations'.DS.date("Y-m-d").DS.'webhook_locations.log');
            return true;
        }
        $target = $this->di->getObjectManager()->get('\App\Shopifyhome\Components\Shop\Shop')->getUserMarkeplace();
        $shopId = $this->di->getObjectManager()->get("\App\Core\Models\User\Details")->getDataByUserID((string)$data['user_id'], $target)->_id;
        $warehouse = json_decode(json_encode($warehouse), true);
        $warehouseId = (int)$warehouse[0]['_id'];

        $_user_details = $this->di->getObjectManager()->get('\App\Core\Models\User\Details');
        $warehouseResponse = $_user_details->deleteWarehouse($shopId, $warehouseId);

        $this->di->getLog()->logContent('PROCESS 000030 | shop | Hook | deleteLocation | Response = \n'.print_r($warehouseResponse, true),'info','shopify'.DS.$this->di->getUser()->id.DS.'locations'.DS.date("Y-m-d").DS.'webhook_locations.log');

    }





}