<?php

return [
    'security' => [
        'default_shopify_sign' => 'cedp@$$w0rd110'
    ], 
    'connectors' => [
        'bigcommerce' => [
            'code' => 'bigcommerce',
            'type' => 'real',
            'is_source' => 1,
            'can_import' => 1, /* import feature is available or not */
            'image' => 'marketplace-logos/bigcommerce.png',
            'title' => 'Bigcommerce',
            'description' => 'Bigcommerce integration',
            'source_model' => '\App\Bigcommercehome\Models\SourceModel'
        ]
    ],
    'services' => [
        'bigcommerce' => [
            'handler' => 'App\Connector\Models\User\Service',
            'code' => 'bigcommerce',
            'title' => 'Bigcommerce',
            'type' => 'uploader',
            'charge_type' => 'prepaid',
            'marketplace' => 'bigcommerce',
            'image' => 'marketplace-logos/bigcommerce.png',
        ]
    ],
    'bigcommerce' => [
        'sub_app_id' => 1,
    ],
    'channels' => [
        'mercado_libre' => [
            'config_meta' => [
                'app' => [
                    'id' => 31190
                ]
            ],
            'name' => 'Mercado Libre',
            'platform' => 'mercado_libre',
            'type' => 'marketplace',
            'status' => 'connected',
            'is_listable_from_ui' => true
        ],
        'mercado_libre_section' => [
            'title' => 'Mercado Libre',
            'query_path' => 'mercado_libre'
        ]
    ],
    'bigcommerce_call_limit' => [
        'webhook_bulk' => 400,
        'webhook_delay' => 800,
        'product_bulk' => 200,
        'product_delete' => 100,
        'product_sync' => 400,
        'throttle_time_delay' => 600// in sec, 600 sec = 10 min
    ],
    "webhookQueue" => [
        'store/product/*'=>[
            'queue_unique_id' => 'sqs-meli_bigcommerce_products',
            'queue_name' => 'meli_bigcommerce_products',
        ],
        'store/sku/*'=>[
            'queue_unique_id' => 'sqs-meli_bigcommerce_skus',
            'queue_name' => 'meli_bigcommerce_skus',
        ],
        'store/information/updated'=>[
            'queue_unique_id' => 'sqs-meli_bigcommerce_store_updated',
            'queue_name' => 'meli_bigcommerce_store_updated',
        ]
    ],
    'webhook' => [
        'bigcommerce_meli' => [
            [
                'topic' => 'store/product/*',
                'action' => 'product_webhook',
                'marketplace' => 'mercadolibre',
                'app_code' => 'bigcommerce_meli'
            ],
            [
                'topic' => 'store/sku/*',
                'action' => 'sku_webhook',
                'marketplace' => 'mercadolibre',
                'app_code' => 'bigcommerce_meli'
            ],
            [
                'topic' => 'store/information/updated',
                'action' => 'store_updated',
                'marketplace' => 'mercadolibre',
                'app_code' => 'bigcommerce_meli'
            ]
        ]
    ]
];