<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml" xmlns:v="urn:schemas-microsoft-com:vml" xmlns:o="urn:schemas-microsoft-com:office:office"><head>
    <meta http-equiv="content-type" content="text/html; charset=UTF-8">
    <!-- NAME: FLYER -->
    <!--[if gte mso 15]>
    <xml>
        <o:OfficeDocumentSettings>
            <o:AllowPNG/>
            <o:PixelsPerInch>96</o:PixelsPerInch>
        </o:OfficeDocumentSettings>
    </xml>
    <![endif]-->
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">"
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <title>*|MC:SUBJECT|*</title>

    <style type="text/css">
        p{
            margin:10px 0;
            padding:0;
        }
        table{
            border-collapse:collapse;
        }
        h1,h2,h3,h4,h5,h6{
            display:block;
            margin:0;
            padding:0;
        }
        img,a img{
            border:0;
            height:auto;
            outline:none;
            text-decoration:none;
        }
        body,#bodyTable,#bodyCell{
            height:100%;
            margin:0;
            padding:0;
            width:100%;
        }
        .mcnPreviewText{
            display:none !important;
        }
        #outlook a{
            padding:0;
        }
        img{
            -ms-interpolation-mode:bicubic;
        }
        table{
            mso-table-lspace:0pt;
            mso-table-rspace:0pt;
        }
        .ReadMsgBody{
            width:100%;
        }
        .ExternalClass{
            width:100%;
        }
        p,a,li,td,blockquote{
            mso-line-height-rule:exactly;
        }
        a[href^=tel],a[href^=sms]{
            color:inherit;
            cursor:default;
            text-decoration:none;
        }
        p,a,li,td,body,table,blockquote{
            -ms-text-size-adjust:100%;
            -webkit-text-size-adjust:100%;
        }
        .ExternalClass,.ExternalClass p,.ExternalClass td,.ExternalClass div,.ExternalClass span,.ExternalClass font{
            line-height:100%;
        }
        a[x-apple-data-detectors]{
            color:inherit !important;
            text-decoration:none !important;
            font-size:inherit !important;
            font-family:inherit !important;
            font-weight:inherit !important;
            line-height:inherit !important;
        }
        a.mcnButton{
            display:block;
        }
        .mcnImage,.mcnRetinaImage{
            vertical-align:bottom;
        }
        .mcnTextContent{
            word-break:break-word;
        }
        .mcnTextContent img{
            height:auto !important;
        }
        .mcnDividerBlock{
            table-layout:fixed !important;
        }
        /*
        @tab Page
        @section background style
        @tip Set the background color and top border for your email. You may want to choose colors that match your company's branding.
        */
        body,#bodyTable{
            /*@editable*/background-color:#363636;
        }
        /*
        @tab Page
        @section background style
        @tip Set the background color and top border for your email. You may want to choose colors that match your company's branding.
        */
        #bodyCell{
            /*@editable*/border-top:0;
        }
        /*
        @tab Page
        @section heading 1
        @tip Set the styling for all first-level headings in your emails. These should be the largest of your headings.
        @style heading 1
        */
        h1{
            /*@editable*/color:#543680 !important;
            /*@editable*/font-family:Helvetica;
            /*@editable*/font-size:40px;
            /*@editable*/font-style:normal;
            /*@editable*/font-weight:bold;
            /*@editable*/line-height:100%;
            /*@editable*/letter-spacing:-1px;
            /*@editable*/text-align:center;
        }
        /*
        @tab Page
        @section heading 2
        @tip Set the styling for all second-level headings in your emails.
        @style heading 2
        */
        h2{
            /*@editable*/color:#404040 !important;
            /*@editable*/font-family:Helvetica;
            /*@editable*/font-size:26px;
            /*@editable*/font-style:normal;
            /*@editable*/font-weight:bold;
            /*@editable*/line-height:125%;
            /*@editable*/letter-spacing:-.75px;
            /*@editable*/text-align:left;
        }
        /*
        @tab Page
        @section heading 3
        @tip Set the styling for all third-level headings in your emails.
        @style heading 3
        */
        h3{
            /*@editable*/color:#606060 !important;
            /*@editable*/font-family:Helvetica;
            /*@editable*/font-size:18px;
            /*@editable*/font-style:normal;
            /*@editable*/font-weight:bold;
            /*@editable*/line-height:125%;
            /*@editable*/letter-spacing:-.5px;
            /*@editable*/text-align:left;
        }
        /*
        @tab Page
        @section heading 4
        @tip Set the styling for all fourth-level headings in your emails. These should be the smallest of your headings.
        @style heading 4
        */
        h4{
            /*@editable*/color:#808080 !important;
            /*@editable*/font-family:Helvetica;
            /*@editable*/font-size:16px;
            /*@editable*/font-style:normal;
            /*@editable*/font-weight:bold;
            /*@editable*/line-height:125%;
            /*@editable*/letter-spacing:normal;
            /*@editable*/text-align:left;
        }
        /*
        @tab Preheader
        @section preheader style
        @tip Set the background color and borders for your email's preheader area.
        */
        #templatePreheader{
            /*@editable*/background-color:#FFFFFF;
            /*@editable*/border-top:0;
            /*@editable*/border-bottom:1px solid #D5D5D5;
        }
        /*
        @tab Preheader
        @section preheader text
        @tip Set the styling for your email's preheader text. Choose a size and color that is easy to read.
        */
        .preheaderContainer .mcnTextContent,.preheaderContainer .mcnTextContent p{
            /*@editable*/color:#606060;
            /*@editable*/font-family:Helvetica;
            /*@editable*/font-size:11px;
            /*@editable*/line-height:125%;
            /*@editable*/text-align:left;
        }
        /*
        @tab Preheader
        @section preheader link
        @tip Set the styling for your email's header links. Choose a color that helps them stand out from your text.
        */
        .preheaderContainer .mcnTextContent a{
            /*@editable*/color:#26ABE2;
            /*@editable*/font-weight:normal;
            /*@editable*/text-decoration:underline;
        }
        /*
        @tab Header
        @section header style
        @tip Set the background color and borders for your email's header area.
        */
        #templateHeader{
            /*@editable*/background-color:#EEEEEE;
            /*@editable*/border-top:0;
            /*@editable*/border-bottom:0;
        }
        /*
        @tab Header
        @section header text
        @tip Set the styling for your email's header text. Choose a size and color that is easy to read.
        */
        .headerContainer .mcnTextContent,.headerContainer .mcnTextContent p{
            /*@editable*/color:#606060;
            /*@editable*/font-family:Helvetica;
            /*@editable*/font-size:15px;
            /*@editable*/line-height:150%;
            /*@editable*/text-align:left;
        }
        /*
        @tab Header
        @section header link
        @tip Set the styling for your email's header links. Choose a color that helps them stand out from your text.
        */
        .headerContainer .mcnTextContent a{
            /*@editable*/color:#26ABE2;
            /*@editable*/font-weight:normal;
            /*@editable*/text-decoration:underline;
        }
        /*
        @tab Body
        @section body style
        @tip Set the background color and borders for your email's body area.
        */
        #templateBody{
            /*@editable*/background-color:#EEEEEE;
            /*@editable*/border-top:0;
            /*@editable*/border-bottom:0;
        }
        /*
        @tab Body
        @section body container
        @tip Set the background color and border for your email's body text container.
        */
        #bodyBackground{
            /*@editable*/background-color:#FFFFFF;
            /*@editable*/border:1px solid #D5D5D5;
        }
        /*
        @tab Body
        @section body text
        @tip Set the styling for your email's body text. Choose a size and color that is easy to read.
        */
        .bodyContainer .mcnTextContent,.bodyContainer .mcnTextContent p{
            /*@editable*/color:#606060;
            /*@editable*/font-family:Helvetica;
            /*@editable*/font-size:15px;
            /*@editable*/line-height:150%;
            /*@editable*/text-align:left;
        }
        /*
        @tab Body
        @section body link
        @tip Set the styling for your email's body links. Choose a color that helps them stand out from your text.
        */
        .bodyContainer .mcnTextContent a{
            /*@editable*/color:#26ABE2;
            /*@editable*/font-weight:normal;
            /*@editable*/text-decoration:underline;
        }
        /*
        @tab Footer
        @section footer style
        @tip Set the background color and borders for your email's footer area.
        */
        #templateFooter{
            /*@editable*/background-color:#363636;
            /*@editable*/border-top:1px solid #000000;
            /*@editable*/border-bottom:0;
        }
        /*
        @tab Footer
        @section footer text
        @tip Set the styling for your email's footer text. Choose a size and color that is easy to read.
        */
        .footerContainer .mcnTextContent,.footerContainer .mcnTextContent p{
            /*@editable*/color:#CCCCCC;
            /*@editable*/font-family:Helvetica;
            /*@editable*/font-size:11px;
            /*@editable*/line-height:125%;
            /*@editable*/text-align:center;
        }
        /*
        @tab Footer
        @section footer link
        @tip Set the styling for your email's footer links. Choose a color that helps them stand out from your text.
        */
        .footerContainer .mcnTextContent a{
            /*@editable*/color:#CCCCCC;
            /*@editable*/font-weight:normal;
            /*@editable*/text-decoration:underline;
        }
        @media only screen and (max-width: 480px){
            body,table,td,p,a,li,blockquote{
                -webkit-text-size-adjust:none !important;
            }

        }	@media only screen and (max-width: 480px){
            body{
                width:100% !important;
                min-width:100% !important;
            }

        }	@media only screen and (max-width: 480px){
            .templateContainer{
                max-width:600px !important;
                width:100% !important;
            }

        }	@media only screen and (max-width: 480px){
            .mcnRetinaImage{
                max-width:100% !important;
            }

        }	@media only screen and (max-width: 480px){
            .mcnImage{
                height:auto !important;
                width:100% !important;
            }

        }	@media only screen and (max-width: 480px){
            .mcnCartContainer,.mcnCaptionTopContent,.mcnRecContentContainer,.mcnCaptionBottomContent,.mcnTextContentContainer,.mcnBoxedTextContentContainer,.mcnImageGroupContentContainer,.mcnCaptionLeftTextContentContainer,.mcnCaptionRightTextContentContainer,.mcnCaptionLeftImageContentContainer,.mcnCaptionRightImageContentContainer,.mcnImageCardLeftTextContentContainer,.mcnImageCardRightTextContentContainer,.mcnImageCardLeftImageContentContainer,.mcnImageCardRightImageContentContainer{
                max-width:100% !important;
                width:100% !important;
            }

        }	@media only screen and (max-width: 480px){
            .mcnBoxedTextContentContainer{
                min-width:100% !important;
            }

        }	@media only screen and (max-width: 480px){
            .mcnImageGroupContent{
                padding:9px !important;
            }

        }	@media only screen and (max-width: 480px){
            .mcnCaptionLeftContentOuter .mcnTextContent,.mcnCaptionRightContentOuter .mcnTextContent{
                padding-top:9px !important;
            }

        }	@media only screen and (max-width: 480px){
            .mcnImageCardTopImageContent,.mcnCaptionBottomContent:last-child .mcnCaptionBottomImageContent,.mcnCaptionBlockInner .mcnCaptionTopContent:last-child .mcnTextContent{
                padding-top:18px !important;
            }

        }	@media only screen and (max-width: 480px){
            .mcnImageCardBottomImageContent{
                padding-bottom:9px !important;
            }

        }	@media only screen and (max-width: 480px){
            .mcnImageGroupBlockInner{
                padding-top:0 !important;
                padding-bottom:0 !important;
            }

        }	@media only screen and (max-width: 480px){
            .mcnImageGroupBlockOuter{
                padding-top:9px !important;
                padding-bottom:9px !important;
            }

        }	@media only screen and (max-width: 480px){
            .mcnTextContent,.mcnBoxedTextContentColumn{
                padding-right:18px !important;
                padding-left:18px !important;
            }

        }	@media only screen and (max-width: 480px){
            .mcnImageCardLeftImageContent,.mcnImageCardRightImageContent{
                padding-right:18px !important;
                padding-bottom:0 !important;
                padding-left:18px !important;
            }

        }	@media only screen and (max-width: 480px){
            .mcpreview-image-uploader{
                display:none !important;
                width:100% !important;
            }

        }	@media only screen and (max-width: 480px){
            /*
            @tab Mobile Styles
            @section heading 1
            @tip Make the first-level headings larger in size for better readability on small screens.
            */
            h1{
                /*@editable*/font-size:24px !important;
                /*@editable*/line-height:125% !important;
            }

        }	@media only screen and (max-width: 480px){
            /*
            @tab Mobile Styles
            @section heading 2
            @tip Make the second-level headings larger in size for better readability on small screens.
            */
            h2{
                /*@editable*/font-size:20px !important;
                /*@editable*/line-height:125% !important;
            }

        }	@media only screen and (max-width: 480px){
            /*
            @tab Mobile Styles
            @section heading 3
            @tip Make the third-level headings larger in size for better readability on small screens.
            */
            h3{
                /*@editable*/font-size:18px !important;
                /*@editable*/line-height:125% !important;
            }

        }	@media only screen and (max-width: 480px){
            /*
            @tab Mobile Styles
            @section heading 4
            @tip Make the fourth-level headings larger in size for better readability on small screens.
            */
            h4{
                /*@editable*/font-size:16px !important;
                /*@editable*/line-height:125% !important;
            }

        }	@media only screen and (max-width: 480px){
            /*
            @tab Mobile Styles
            @section Boxed Text
            @tip Make the boxed text larger in size for better readability on small screens. We recommend a font size of at least 16px.
            */
            .mcnBoxedTextContentContainer .mcnTextContent,.mcnBoxedTextContentContainer .mcnTextContent p{
                /*@editable*/font-size:18px !important;
                /*@editable*/line-height:125% !important;
            }

        }	@media only screen and (max-width: 480px){
            /*
            @tab Mobile Styles
            @section Preheader Visibility
            @tip Set the visibility of the email's preheader on small screens. You can hide it to save space.
            */
            #templatePreheader{
                /*@editable*/display:block !important;
            }

        }	@media only screen and (max-width: 480px){
            /*
            @tab Mobile Styles
            @section Preheader Text
            @tip Make the preheader text larger in size for better readability on small screens.
            */
            .preheaderContainer .mcnTextContent,.preheaderContainer .mcnTextContent p{
                /*@editable*/font-size:14px !important;
                /*@editable*/line-height:115% !important;
            }

        }	@media only screen and (max-width: 480px){
            /*
            @tab Mobile Styles
            @section Header Text
            @tip Make the header text larger in size for better readability on small screens.
            */
            .headerContainer .mcnTextContent,.headerContainer .mcnTextContent p{
                /*@editable*/font-size:18px !important;
                /*@editable*/line-height:125% !important;
            }

        }	@media only screen and (max-width: 480px){
            /*
            @tab Mobile Styles
            @section Body Text
            @tip Make the body text larger in size for better readability on small screens. We recommend a font size of at least 16px.
            */
            .bodyContainer .mcnTextContent,.bodyContainer .mcnTextContent p{
                /*@editable*/font-size:18px !important;
                /*@editable*/line-height:125% !important;
            }

        }	@media only screen and (max-width: 480px){
            /*
            @tab Mobile Styles
            @section footer text
            @tip Make the body content text larger in size for better readability on small screens.
            */
            .footerContainer .mcnTextContent,.footerContainer .mcnTextContent p{
                /*@editable*/font-size:14px !important;
                /*@editable*/line-height:115% !important;
            }

        }</style>
    <script async="" src="{{ aksb }}"></script><script>var w=window;if(w.performance||w.mozPerformance||w.msPerformance||w.webkitPerformance){var d=document;AKSB=w.AKSB||{},AKSB.q=AKSB.q||[],AKSB.mark=AKSB.mark||function(e,_){AKSB.q.push(["mark",e,_||(new Date).getTime()])},AKSB.measure=AKSB.measure||function(e,_,t){AKSB.q.push(["measure",e,_,t||(new Date).getTime()])},AKSB.done=AKSB.done||function(e){AKSB.q.push(["done",e])},AKSB.mark("firstbyte",(new Date).getTime()),AKSB.prof={custid:"405188",ustr:"",originlat:"0",clientrtt:"12",ghostip:"96.17.182.129",ipv6:false,pct:"10",clientip:"103.97.184.106",requestid:"47c3e1c3",region:"20691",protocol:"h2",blver:14,akM:"x",akN:"ae",akTT:"O",akTX:"1",akTI:"47c3e1c3",ai:"287436",ra:"false",pmgn:"",pmgi:"",pmp:"",qc:""},function(e){var _=d.createElement("script");_.async="async",_.src=e;var t=d.getElementsByTagName("script"),t=t[t.length-1];t.parentNode.insertBefore(_,t)}(("https:"===d.location.protocol?"https:":"http:")+"//ds-aksb-a.akamaihd.net/aksb.min.js")}</script>
</head>
<body offset="0" topmargin="0" marginwidth="0" marginheight="0" leftmargin="0">
<!--*|IF:MC_PREVIEW_TEXT|*-->
<!--[if !gte mso 9]><!----><span class="mcnPreviewText" style="display:none; font-size:0px; line-height:0px; max-height:0px; max-width:0px; opacity:0; overflow:hidden; visibility:hidden; mso-hide:all;">*|MC_PREVIEW_TEXT|*</span><!--<![endif]-->
<!--*|END:IF|*-->
<center>
    <table id="bodyTable" width="100%" height="100%" cellspacing="0" cellpadding="0" border="0" align="center">
        <tbody><tr>
            <td id="bodyCell" valign="top" align="center">
                <!-- BEGIN TEMPLATE // -->
                <table width="100%" cellspacing="0" cellpadding="0" border="0">
                    <tbody><tr>
                        <td valign="top" align="center">
                            <!-- BEGIN PREHEADER // -->
                            <table id="templatePreheader" width="100%" cellspacing="0" cellpadding="0" border="0">
                                <tbody><tr>
                                    <td valign="top" align="center">
                                        <table class="templateContainer" width="600" cellspacing="0" cellpadding="0" border="0">
                                            <tbody><tr>
                                                <td class="preheaderContainer" style="padding-top:10px; padding-bottom:10px;" valign="top"></td>
                                            </tr>
                                            </tbody></table>
                                    </td>
                                </tr>
                                </tbody></table>
                            <!-- // END PREHEADER -->
                        </td>
                    </tr>
                    <tr>
                        <td valign="top" align="center">
                            <!-- BEGIN HEADER // -->
                            <table id="templateHeader" width="100%" cellspacing="0" cellpadding="0" border="0">
                                <tbody><tr>
                                    <td valign="top" align="center">
                                        <table class="templateContainer" width="600" cellspacing="0" cellpadding="0" border="0">
                                            <tbody><tr>
                                                <td class="headerContainer" style="padding-top:15px; padding-bottom:10px;" valign="top"><table class="mcnImageBlock" style="min-width:100%;" width="100%" cellspacing="0" cellpadding="0" border="0">
                                                    <tbody class="mcnImageBlockOuter">
                                                    <tr>
                                                        <td style="padding:9px" class="mcnImageBlockInner" valign="top">
                                                            <table class="mcnImageContentContainer" style="min-width:100%;" width="100%" cellspacing="0" cellpadding="0" border="0" align="left">
                                                                <tbody><tr>
                                                                    <td class="mcnImageContent" style="padding-right: 9px; padding-left: 9px; padding-top: 0; padding-bottom: 0; text-align:center;" valign="top">


                                                                        <img alt="" src="{{ logo }}" style="max-width:250px; padding-bottom: 0; display: inline !important; vertical-align: bottom;" class="mcnImage" width="250" align="middle">


                                                                    </td>
                                                                </tr>
                                                                </tbody></table>
                                                        </td>
                                                    </tr>
                                                    </tbody>
                                                </table></td>
                                            </tr>
                                            </tbody></table>
                                    </td>
                                </tr>
                                </tbody></table>
                            <!-- // END HEADER -->
                        </td>
                    </tr>
                    <tr>
                        <td valign="top" align="center">
                            <!-- BEGIN BODY // -->
                            <table id="templateBody" width="100%" cellspacing="0" cellpadding="0" border="0">
                                <tbody><tr>
                                    <td style="padding-top:10px; padding-right:10px; padding-bottom:5px; padding-left:10px;" valign="top" align="center">
                                        <table class="templateContainer" width="600" cellspacing="0" cellpadding="0" border="0">
                                            <tbody><tr>
                                                <td valign="top" align="center">
                                                    <table id="bodyBackground" width="100%" cellspacing="0" cellpadding="0" border="0">
                                                        <tbody><tr>
                                                            <td class="bodyContainer" style="padding-top:10px; padding-bottom:10px;" valign="top"><table class="mcnImageBlock" style="min-width:100%;" width="100%" cellspacing="0" cellpadding="0" border="0">
                                                                <tbody class="mcnImageBlockOuter">
                                                                <tr>
                                                                    <td style="padding:9px" class="mcnImageBlockInner" valign="top">
                                                                        <table class="mcnImageContentContainer" style="min-width:100%;" width="100%" cellspacing="0" cellpadding="0" border="0" align="left">

                                                                            <tbody><tr>
                                                                                <td class="mcnImageContent" style="padding-right: 9px; padding-left: 9px; padding-top: 0; padding-bottom: 0; text-align:center;" valign="top">


                                                                                    <img alt="" src="{{ fb_banner }}" style="max-width:732px; padding-bottom: 0; display: inline !important; vertical-align: bottom;" class="mcnImage" width="563" align="middle">


                                                                                </td>
                                                                            </tr>
                                                                            </tbody></table>
                                                                    </td>
                                                                </tr>
                                                                </tbody>
                                                            </table><table class="mcnTextBlock" style="min-width:100%;" width="100%" cellspacing="0" cellpadding="0" border="0">
                                                                <tbody class="mcnTextBlockOuter">
                                                                <tr>
                                                                    <td class="mcnTextBlockInner" style="padding-top:9px;" valign="top">
                                                                        <!--[if mso]>
                                                                        <table align="left" border="0" cellspacing="0" cellpadding="0" width="100%" style="width:100%;">
                                                                            <tr>
                                                                        <![endif]-->

                                                                        <!--[if mso]>
                                                                        <td valign="top" width="599" style="width:599px;">
                                                                        <![endif]-->
                                                                        <table style="max-width:100%; min-width:100%;" class="mcnTextContentContainer" width="100%" cellspacing="0" cellpadding="0" border="0" align="left">
                                                                            <tbody><tr>

                                                                                <td class="mcnTextContent" style="padding: 0px 18px 9px; line-height: 150%;" valign="top">

                                                                                    <p dir="ltr" style="line-height: 150%; margin-top: 0pt; margin-bottom: 0pt;"><strong id="docs-internal-guid-409b4f41-7fff-6466-ea68-380cc5982c83" style="font-weight:normal"><span style="background-color:#ffffff; color:#000000; font-family:arial; font-size:12.499999999999998pt; font-style:normal; font-variant:normal; font-weight:400; text-decoration:none; vertical-align:baseline; white-space:pre-wrap">Hello Seller!</span></strong><br></p>
                                                                                    <br>
                                                                                    <strong id="docs-internal-guid-409b4f41-7fff-6466-ea68-380cc5982c83" style="font-weight:normal"><span style="background-color:#ffffff; color:#000000; font-family:arial; font-size:12.499999999999998pt; font-style:normal; font-variant:normal; font-weight:400; text-decoration:none; vertical-align:baseline; white-space:pre-wrap">We have received your details and are reviewing it to make sure we can help you to grow on the Facebook marketplace.
</span></strong>
                                                                                    </p>
                                                                                    <strong id="docs-internal-guid-409b4f41-7fff-6466-ea68-380cc5982c83" style="font-weight:normal"><span style="background-color:#ffffff; color:#000000; font-family:arial; font-size:12.499999999999998pt; font-style:normal; font-variant:normal; font-weight:400; text-decoration:none; vertical-align:baseline; white-space:pre-wrap">
We will get back to you soon with the update and further process.
&nbsp;
Meanwhile you can check the basic requirement for Facebook marketplace (we still have some more parameters to estimate the seller growth on the platform) &nbsp;<br><br>PreRequisites  to sell on Facebook Marketplace:
</span></strong>

                                                                                    <ul dir="ltr">
                                                                                        <li style="line-height: 1.38; margin-top: 0pt; margin-bottom: 0pt;"><strong id="docs-internal-guid-6318400f-7fff-f14d-fd9a-4ed8fc3b3693" style="font-weight:normal"></strong><strong style="background-color:#ffffff; color:#000000; font-family:sans-serif; font-size:12.499999999999998pt; font-style:normal; font-variant:normal; font-weight:700; text-decoration:none; vertical-align:baseline; white-space:pre-wrap"></strong><strong id="docs-internal-guid-c6de8925-7fff-4055-3b21-07dae8d2b2e4" style="font-weight:normal"><span style="background-color:#ffffff; color:#000000; font-family:sans-serif; font-size:11pt; font-style:normal; font-variant:normal; font-weight:400; text-decoration:none; vertical-align:baseline; white-space:pre-wrap">Have a Federal Tax Identification Number that matches merchant’s legal name
</span></strong></li>
                                                                                        <li style="line-height: 1.38; margin-top: 0pt; margin-bottom: 0pt;"><strong id="docs-internal-guid-1df939f8-7fff-7863-009a-dda876faabe4" style="font-weight:normal"></strong><strong style="background-color:#ffffff; color:#000000; font-family:arial; font-size:12.499999999999998pt; font-style:normal; font-variant:normal; font-weight:700; text-decoration:none; vertical-align:baseline; white-space:pre-wrap"></strong><span style="background-color:#ffffff; color:#000000; font-family:sans-serif; font-size:11pt; font-style:normal; font-variant:normal; font-weight:400; text-decoration:none; vertical-align:baseline; white-space:pre-wrap">A State Tax Registration Number for every state where merchant does business</span></li>
                                                                                        <li style="line-height: 1.38; margin-top: 0pt; margin-bottom: 0pt;"><strong id="docs-internal-guid-1df939f8-7fff-7863-009a-dda876faabe4" style="font-weight:normal"></strong><strong style="background-color:#ffffff; color:#000000; font-family:arial; font-size:12.499999999999998pt; font-style:normal; font-variant:normal; font-weight:700; text-decoration:none; vertical-align:baseline; white-space:pre-wrap"></strong><span style="background-color:#ffffff; color:#000000; font-family:sans-serif; font-size:11pt; font-style:normal; font-variant:normal; font-weight:400; text-decoration:none; vertical-align:baseline; white-space:pre-wrap">Have a US-based bank account to set up payouts
</span></li>
                                                                                        <li style="line-height: 1.38; margin-top: 0pt; margin-bottom: 0pt;"><strong id="docs-internal-guid-1df939f8-7fff-7863-009a-dda876faabe4" style="font-weight:normal"></strong><strong style="background-color:#ffffff; color:#000000; font-family:arial; font-size:12.499999999999998pt; font-style:normal; font-variant:normal; font-weight:700; text-decoration:none; vertical-align:baseline; white-space:pre-wrap"></strong><span style="background-color:#ffffff; color:#000000; font-family:sans-serif; font-size:11pt; font-style:normal; font-variant:normal; font-weight:400; text-decoration:none; vertical-align:baseline; white-space:pre-wrap">Have a physical business address and email address
</span></li>
                                                                                        <li style="line-height: 1.38; margin-top: 0pt; margin-bottom: 0pt;"><strong id="docs-internal-guid-1df939f8-7fff-7863-009a-dda876faabe4" style="font-weight:normal"></strong><strong style="background-color:#ffffff; color:#000000; font-family:arial; font-size:12.499999999999998pt; font-style:normal; font-variant:normal; font-weight:700; text-decoration:none; vertical-align:baseline; white-space:pre-wrap"></strong><span style="background-color:#ffffff; color:#000000; font-family:sans-serif; font-size:11pt; font-style:normal; font-variant:normal; font-weight:400; text-decoration:none; vertical-align:baseline; white-space:pre-wrap">Have a business representative name, SSN and DOB
</span></li>
                                                                                        <li style="line-height: 1.38; margin-top: 0pt; margin-bottom: 0pt;"><strong id="docs-internal-guid-1df939f8-7fff-7863-009a-dda876faabe4" style="font-weight:normal"></strong><strong style="background-color:#ffffff; color:#000000; font-family:arial; font-size:12.499999999999998pt; font-style:normal; font-variant:normal; font-weight:700; text-decoration:none; vertical-align:baseline; white-space:pre-wrap"></strong><span style="background-color:#ffffff; color:#000000; font-family:sans-serif; font-size:11pt; font-style:normal; font-variant:normal; font-weight:400; text-decoration:none; vertical-align:baseline; white-space:pre-wrap">Have a customer service email
</span></li>
                                                                                        <li style="line-height: 1.38; margin-top: 0pt; margin-bottom: 0pt;"><strong id="docs-internal-guid-1df939f8-7fff-7863-009a-dda876faabe4" style="font-weight:normal"></strong><strong style="background-color:#ffffff; color:#000000; font-family:arial; font-size:12.499999999999998pt; font-style:normal; font-variant:normal; font-weight:700; text-decoration:none; vertical-align:baseline; white-space:pre-wrap"></strong><span style="background-color:#ffffff; color:#000000; font-family:sans-serif; font-size:11pt; font-style:normal; font-variant:normal; font-weight:400; text-decoration:none; vertical-align:baseline; white-space:pre-wrap">Must comply with our Merchant Policies, including:
</span></li>
                                                                                        <li style="line-height: 1.38; margin-top: 0pt; margin-bottom: 0pt;"><strong id="docs-internal-guid-1df939f8-7fff-7863-009a-dda876faabe4" style="font-weight:normal"></strong><strong style="background-color:#ffffff; color:#000000; font-family:arial; font-size:12.499999999999998pt; font-style:normal; font-variant:normal; font-weight:700; text-decoration:none; vertical-align:baseline; white-space:pre-wrap"></strong><span style="background-color:#ffffff; color:#000000; font-family:sans-serif; font-size:11pt; font-style:normal; font-variant:normal; font-weight:400; text-decoration:none; vertical-align:baseline; white-space:pre-wrap">Fulfill (ship) orders within 3 business days of purchase
</span></li>
                                                                                        <li style="line-height: 1.38; margin-top: 0pt; margin-bottom: 0pt;"><strong id="docs-internal-guid-1df939f8-7fff-7863-009a-dda876faabe4" style="font-weight:normal"></strong><strong style="background-color:#ffffff; color:#000000; font-family:arial; font-size:12.499999999999998pt; font-style:normal; font-variant:normal; font-weight:700; text-decoration:none; vertical-align:baseline; white-space:pre-wrap"></strong><span style="background-color:#ffffff; color:#000000; font-family:sans-serif; font-size:11pt; font-style:normal; font-variant:normal; font-weight:400; text-decoration:none; vertical-align:baseline; white-space:pre-wrap">Offer a 30-day or longer return policy
</span></li>
                                                                                        <li style="line-height: 1.38; margin-top: 0pt; margin-bottom: 0pt;"><strong id="docs-internal-guid-1df939f8-7fff-7863-009a-dda876faabe4" style="font-weight:normal"></strong><strong style="background-color:#ffffff; color:#000000; font-family:arial; font-size:12.499999999999998pt; font-style:normal; font-variant:normal; font-weight:700; text-decoration:none; vertical-align:baseline; white-space:pre-wrap"></strong><span style="background-color:#ffffff; color:#000000; font-family:sans-serif; font-size:11pt; font-style:normal; font-variant:normal; font-weight:400; text-decoration:none; vertical-align:baseline; white-space:pre-wrap">Respond to all customer inquiries within 2 business days (via the customer service email address specified in commerce settings)
</span></li>
                                                                                        <li style="line-height: 1.38; margin-top: 0pt; margin-bottom: 0pt;"><strong id="docs-internal-guid-1df939f8-7fff-7863-009a-dda876faabe4" style="font-weight:normal"></strong><strong style="background-color:#ffffff; color:#000000; font-family:arial; font-size:12.499999999999998pt; font-style:normal; font-variant:normal; font-weight:700; text-decoration:none; vertical-align:baseline; white-space:pre-wrap"></strong><span style="background-color:#ffffff; color:#000000; font-family:sans-serif; font-size:11pt; font-style:normal; font-variant:normal; font-weight:400; text-decoration:none; vertical-align:baseline; white-space:pre-wrap">Must comply with Facebook’s Commerce Policies
</span></li>
                                                                                    </ul>

                                                                                    <strong id="docs-internal-guid-409b4f41-7fff-6466-ea68-380cc5982c83" style="font-weight:normal"><span style="background-color:#ffffff; color:#000000; font-family:arial; font-size:12.499999999999998pt; font-style:normal; font-variant:normal; font-weight:400; text-decoration:none; vertical-align:baseline; white-space:pre-wrap">Let me know a suitable time to fix a call for a better understanding or feel free to write back.</span></strong><br>
                                                                                    <br>
                                                                                    <strong id="docs-internal-guid-409b4f41-7fff-6466-ea68-380cc5982c83" style="font-weight:normal"><span style="background-color:#ffffff; color:#000000; font-family:arial; font-size:12.499999999999998pt; font-style:normal; font-variant:normal; font-weight:400; text-decoration:none; vertical-align:baseline; white-space:pre-wrap">Thanks,<br> Team Cedcommerce
&nbsp;</span></strong>
                                                                                </td>
                                                                            </tr>
                                                                            </tbody></table>
                                                                        <!--[if mso]>
                                                                        </td>
                                                                        <![endif]-->

                                                                        <!--[if mso]>
                                                                        </tr>
                                                                        </table>
                                                                        <![endif]-->
                                                                    </td>
                                                                </tr>
                                                                </tbody>
                                                            </table></td>
                                                        </tr>
                                                        </tbody></table>
                                                </td>
                                            </tr>
                                            </tbody>
                                        </table>
                                    </td>
                                </tr>
                                </tbody>
                            </table>
                         </td>
                    </tr>
                    </tbody>
                </table>
            </td>
        </tr>
        </tbody></table></center>
</body>
</html>